areaPolicyDetail = {
    data: {
        prodPack: {},
        transfType: {},
        prodPurpose: {},
        deliveryMode: {},
        priceType: {},
        payWay: {},
        ticketWay: {},
        exchTime: {},
        exchPrice: {},
        exchWay: {},
        guaranteeType: {},
        saleType: {},
        //原有产品 － 产品状态
        proStatusMap: {
            "0": "新增",
            "1": "修改",
            "2": "删除",
            "3": "未修改"
        },
        //新增产品 － 产品状态
        newProStatusMap: [
            {"0": "新建"}
        ],
        btnFlag: ""
    },
    event: function () {
        window.addEventListener("mask-show", function (event) {
            $(".mask").fadeIn();
        })
        window.addEventListener("mask-hide", function (event) {
            $(".mask").fadeOut();
        })
        $("#passShow").on("tap", function () {
            areaPolicyDetail.service.doPass();
        })
        $("#rejectShow").on("tap", function () {
            areaPolicyDetail.service.doReject();
        })
        $("#authCodeConfirm").on("tap", function () {
            areaPolicyDetail.service.checkMessageCode();
        })
        $("#close").on("tap", function () {
            $("#autoCodeDiv").fadeOut();
            $(".mask").fadeOut();
        })
        $("#sendAuthCode").on("tap", function () {
            if ($("#sendAuthCode").text() == "发送验证码") {
                areaPolicyDetail.service.sendAuthCode();
            }
        })
        //查询政策原值
        mui("#policy-product").on("tap", ".mui-table-view-cell", function () {
            var dataCode = $(this).attr("datacode");
            if(typeof (dataCode) != "undefined" && dataCode != null && dataCode != ""){
                var val = $("#old" + dataCode).text();
                if (typeof (val) != "undefined" && val != null ) {
                    mui.toast("原值:" + val, {duration: 'long', type: 'div'})
                }
            }
        })
    },
    service: {
        doQuery: function () {
            plus.nativeUI.showWaiting();
            var policyId = plus.webview.currentWebview().policyId;
            var token = window.localStorage.getItem("token");
            var mobile = window.localStorage.getItem("loginNumber");
            var headers = {
                "Content-Type": "application/json;charset=UTF-8",
                "__REQUEST_TYPE": "AJAX_REQUEST"
            }
            headers.token = token;
            headers.mobile = mobile;
            // var url = "api/policy/query/queryPolicyDiscountedMainInfo/"+policyId;
            var url = "api/policy/query/policyDiscountedMainInfo/oldAndNew";
            mui.ajax(GLOBAL.SERVER_URL + url, {
                type: "post",
                dataType: "json",
                headers: headers,
                data: areaPolicyDetail.service.getQueryData(),
                timeout: GLOBAL.ONLINE_TIME,
                error: function (xhr, type, errorThrown) {
                    GLOBAL.AJAX_ERROR_HANDLER(0);
                    console.log(JSON.stringify(type))
                },
                success: function (data) {
                    console.log(JSON.stringify(data))
                    plus.nativeUI.closeWaiting();
                    if (data.code == "03") {
                        mui.toast("登录超时，请重新登录");
                        var mobileList = window.localStorage.getItem("mobileList");
                        window.localStorage.clear();
                        window.localStorage.setItem("mobileList", mobileList);
                        plus.runtime.restart();
                    }
                    if (data.code == "02") {
                        mui.toast(data.message);
                        return;
                    }
                    var form = data.data;
                    $("#policyTitle").text(form.policyTitle);
                    $("#entryTime").text(GLOBAL.formatTime(new Date(form.effectiveTime)));
                    $("#priceWay").text(areaPolicyDetail.data.priceType[form.priceWay]);
                    $("#payWay").text(areaPolicyDetail.data.payWay[form.payWay]);
                    $("#deliveryWay").text(areaPolicyDetail.data.deliveryMode[form.deliveryWay]);
                    $("#ticketWay").text(areaPolicyDetail.data.ticketWay[form.ticketWay]);
                    $("#exchTime").text(areaPolicyDetail.data.exchTime[form.exchTime]);
                    if (form.exchTime !== '1') {
                        $("#exchTime").text("无");
                        if (form.exchPrice !== null && form.exchPrice !== "") {
                            $("#exchTime").text(areaPolicyDetail.data.exchPrice[form.exchPrice]);
                        }
                        if (form.exchPrice !== null && form.exchTime !== null && form.exchPrice !== "" && form.exchTime !== "") {
                            $("#exchTime").text(areaPolicyDetail.data.exchPrice[form.exchPrice] + "|" + areaPolicyDetail.data.exchTime[form.exchTime]);
                        }
                        if (form.exchPrice !== null && form.exchTime !== null && form.exchWay !== null && form.exchPrice !== "" && form.exchTime !== "" && form.exchWay !== "") {
                            $("#exchTime").text(areaPolicyDetail.data.exchPrice[form.exchPrice] + "|" + areaPolicyDetail.data.exchTime[form.exchTime] + "|" + areaPolicyDetail.data.exchWay[form.exchWay]);
                        }
                    } else {
                        if (form.exchPrice !== null && form.exchPrice !== "") {
                            $("#exchTime").text(areaPolicyDetail.data.exchPrice[form.exchPrice]);
                        }
                    }
                    $("#exchPrice").text(form.exchPrice);
                    $("#exchWay").text(areaPolicyDetail.data.exchWay[form.exchWay]);
                    $("#guaranteeType").text(areaPolicyDetail.data.guaranteeType[form.guaranteeType]);
                    if (form.guaranteeType !== "1") {
                        $("#guaranteeAmountDiv").show();
                        $("#guaranteeAmount").text(form.guaranteeAmount);
                    }
                    $("#areaMarketAnalysis").text(form.areaMarketAnalysis);
                    $("#policyNecessityDescrip").text(form.policyNecessityDescrip);
                    $("#applyPersonName").text(form.applyPersonName);
                    $("#applySectionName").text(form.applySectionName);
                    $("#applyUnitName").text(form.applyUnitName);
                    $("#saleTypeName").text(areaPolicyDetail.data.saleType[form.saleType]);
                    $("#applyArea").text(form.applyArea);
                    $("#applyTime").text(GLOBAL.formatTime(new Date(form.applyTime)));

                    //变化值颜色标识
                    var oldform = data.data.oldSalPolicyDiscountedMain;
                    var oldPriceWay = (areaPolicyDetail.data.priceType[oldform.priceWay])
                        ? areaPolicyDetail.data.priceType[oldform.priceWay]
                        : "";
                    var oldPayWay = (areaPolicyDetail.data.payWay[oldform.payWay])
                        ? areaPolicyDetail.data.payWay[oldform.payWay]
                        : "";
                    var oldDeliveryWay = (areaPolicyDetail.data.deliveryMode[oldform.deliveryWay])
                        ? areaPolicyDetail.data.deliveryMode[oldform.deliveryWay]
                        : "";
                    var oldTicketWay = (areaPolicyDetail.data.ticketWay[oldform.ticketWay])
                        ? areaPolicyDetail.data.ticketWay[oldform.ticketWay]
                        : "";
                    var oldGuaranteeType = (areaPolicyDetail.data.guaranteeType[oldform.guaranteeType])
                        ? areaPolicyDetail.data.guaranteeType[oldform.guaranteeType]
                        : "";
                    var oldExchTime = (areaPolicyDetail.data.exchTime[oldform.exchTime])
                        ? areaPolicyDetail.data.exchTime[oldform.exchTime]
                        : "";
                    var oldExchWay = (areaPolicyDetail.data.exchWay[oldform.exchWay])
                        ? areaPolicyDetail.data.exchWay[oldform.exchWay]
                        : "";
                    $("#oldPriceWay").text(oldPriceWay);
                    $("#oldPayWay").text(oldPayWay);
                    $("#oldDeliveryWay").text(oldDeliveryWay);
                    $("#oldTicketWay").text(oldTicketWay);
                    $("#oldGuaranteeType").text(oldGuaranteeType);
                    $("#oldGuaranteeAmount").text(oldform.guaranteeAmount);
                    $("#oldExchTime").text(oldExchTime);
                    if (oldform.exchTime !== '1') {
                        $("#oldExchTime").text("无");
                        if (oldform.exchPrice !== null && oldform.exchPrice !== "") {
                            $("#oldExchTime").text(areaPolicyDetail.data.exchPrice[oldform.exchPrice]);
                        }
                        if (oldform.exchPrice !== null && oldform.exchTime !== null && oldform.exchPrice !== "" && oldform.exchTime !== "") {
                            $("#oldExchTime").text(areaPolicyDetail.data.exchPrice[oldform.exchPrice] + "|" + areaPolicyDetail.data.exchTime[oldform.exchTime]);
                        }
                        if (oldform.exchPrice !== null && oldform.exchTime !== null && oldform.exchWay !== null && oldform.exchPrice !== "" && oldform.exchTime !== "" && oldform.exchWay !== "") {
                            $("#oldExchTime").text(areaPolicyDetail.data.exchPrice[oldform.exchPrice] + "|" + areaPolicyDetail.data.exchTime[oldform.exchTime] + "|" + areaPolicyDetail.data.exchWay[oldform.exchWay]);
                        }
                    } else {
                        if (oldform.exchPrice !== null && oldform.exchPrice !== "") {
                            $("#oldExchTime").text(areaPolicyDetail.data.exchPrice[oldform.exchPrice]);
                        }
                    }
                    $("#oldExchPrice").text(oldform.exchPrice);
                    $("#oldExchWay").text(oldExchWay);

                    //计划价格形势
                    if (form.priceWay != oldform.priceWay) {
                        $("#priceWayStyle").show();
                    }
                    //支付方式
                    if (form.payWay != oldform.payWay) {
                        $("#payWayStyle").show();
                    }
                    //交货方式
                    if (form.deliveryWay != oldform.deliveryWay) {
                        $("#deliveryWayStyle").show();
                    }
                    //出票方式
                    if (form.ticketWay != oldform.ticketWay) {
                        $("#ticketWayStyle").show();
                    }
                    //履约保证金
                    if (form.guaranteeType != oldform.guaranteeType) {
                        $("#guaranteeTypeStyle").show();
                    }
                    //保证金数额
                    if (form.guaranteeAmount != oldform.guaranteeAmount) {
                        $("#guaranteeAmountStyle").show();
                    }
                    //承兑汇票政策
                    if (form.exchTime != oldform.exchTime) {
                        $("#exchTimeStyle").show();
                    }
                    //承兑汇票政策金额
                    if (form.exchPrice != oldform.exchPrice) {
                        $("#exchPriceStyle").show();
                    }
                    //承兑汇票政策方式
                    if (form.exchWay != oldform.exchWay) {
                        $("#exchWayStyle").show();
                    }

                    var updateRegionalList = data.data.updateRegionalList;
                    if (updateRegionalList !== null) {
                        for (var i = 0; i < updateRegionalList.length; i++) {
                            var html = '<div class="col-xs-12 bg-white">';
                            html += '<div class="col-xs-12 padding-0" style="line-height: 32px;">' +
                                '<span>区域编码：</span>' +
                                '<span style="margin-left: 10px;" id="areaCode">' + updateRegionalList[i].areaCode + '</span>' +
                                '</div>' +
                                '<div class="col-xs-12 padding-0" style="line-height: 32px;">' +
                                '<span>区域名称：</span>' +
                                '<span style="margin-left: 10px;" id="areaName">' + updateRegionalList[i].areaName + '</span>' +
                                '</div>' +
                                '<div class="col-xs-12 padding-0" style="line-height: 32px;">' +
                                '<span>区域描述：</span>' +
                                '<span style="margin-left: 10px;" id="areaDesc">' + ((updateRegionalList[i].areaDesc == null || updateRegionalList[i].areaDesc == "") ? "暂无" : updateRegionalList[i].areaDesc) + '</span>' +
                                '</div>';
                            var regionalProductList = updateRegionalList[i].regionalProductList;
                            for (var j = 0; j < regionalProductList.length; j++) {
                                if (regionalProductList[j].planDiff != null && regionalProductList[j].planDiff != "") {
                                    regionalProductList[j].planPrice = parseFloat(regionalProductList[j].listPrise) + parseFloat(regionalProductList[j].planDiff);// 计划价格
                                } else {
                                    regionalProductList[j].planPrice = "";// 计划价格
                                }
                                //区域价，如果随着挂牌价调整，则区域价格=挂牌价-（-计划价差）；否则区域价格=设定价格setting_price
                                var areaPrice = 0;
                                if (regionalProductList[j].isAdjust) {
                                    var isAdjustName = "是";
                                    areaPrice = (regionalProductList[j].listPrise - (-regionalProductList[j].diffListPrice)).toFixed(2);
                                } else {
                                    var isAdjustName = "否";
                                    areaPrice = regionalProductList[j].settingPrice.toFixed(2);
                                }
                                html += '<div class="col-xs-12 padding-0" style="background: #F7F7F7;margin-bottom: 10px;">' +
                                    '<div class="col-xs-12 padding-0 text-center" style="background: #b9b2b2;line-height: 40px;">' +
                                    '<span style="font-weight: bold;">产品名称：' + regionalProductList[j].prodName + '</span>' +
                                    '</div>' +
                                    '<div class="col-xs-12 padding-0" style="padding-top: 10px;">' +
                                    '<div class="col-xs-6" style="line-height: 30px;">' +
                                    '<span style="color: #999999;">包装方式：</span>' +
                                    '<span style="color: #333333;">' + areaPolicyDetail.data.prodPack[regionalProductList[j].prodPack] + '</span>' +
                                    '</div>' +
                                    '<div class="col-xs-6" style="line-height: 30px;">' +
                                    '<span style="color: #999999;">运输方式：</span>' +
                                    '<span style="color: #333333;">' + areaPolicyDetail.data.transfType[regionalProductList[j].transMode] + '</span>' +
                                    '</div>' +
                                    '<div class="col-xs-6" style="line-height: 30px;text-indent: 28px;">' +
                                    '<span style="color: #999999;">用途：</span>' +
                                    '<span style="color: #333333;">' + areaPolicyDetail.data.prodPurpose[regionalProductList[j].prodPurpose] + '</span>' +
                                    '</div>' +
                                    '<div class="col-xs-6" style="line-height: 30px;text-indent: 14px;">' +
                                    '<span style="color: #999999;">挂牌价：</span>' +
                                    '<span style="color: #333333;">' + regionalProductList[j].listPrise.toFixed(2) + '</span>' +
                                    '</div>' +
                                    '<div class="col-xs-6" style="line-height: 30px;">' +
                                    '<span style="color: #999999;">产品状态：</span>' +
                                    '<span style="color: #333333;">' + areaPolicyDetail.data.proStatusMap['3'] + '</span>' +
                                    '</div>' +
                                    // '</div>' +
                                    // '<div class="col-xs-12 margin-top-10" style="border-width: 0.5px;border-style: dashed;border-color:#ded1d1;"></div>' +
                                    // '<div class="col-xs-12 padding-0">' +
                                    // '<div class="col-xs-12 margin-top-10" style="line-height: 40px;">' +
                                    // '<span style="color: #333333;">计划价格</span>' +
                                    // '</div>' +
                                    // '<div class="col-xs-12" style="line-height: 40px;">' +
                                    // '<span style="color: #999999;">计划价格：</span>' +
                                    // '<span style="color: #333333;">' + regionalProductList[j].planPrice + '</span>' +
                                    // '</div>' +
                                    '</div>' +
                                    '<div class="col-xs-12 margin-top-10" style="border-width: 0.5px;border-style: dashed;border-color:#ded1d1;"></div>' +
                                    '<div class="col-xs-12 padding-0">' +
                                    '<div class="col-xs-12 margin-top-10" style="line-height: 40px;">' +
                                    '<span style="color: #333333;">区域价格：</span>' +
                                    '<span style="color: #333333;">' + areaPrice + '</span>' +
                                    '</div>' +
                                    '<div class="col-xs-6" style="line-height: 40px;">' +
                                    '<span style="color: #999999;">随挂牌价格调整：</span>' +
                                    '<span style="color: #333333;">' + isAdjustName + '</span>' +
                                    '</div>';
                                if (regionalProductList[j].diffListPrice == null) {
                                    regionalProductList[j].diffListPrice = "";
                                }
                                if (regionalProductList[j].isAdjust) {
                                    html += '<div class="col-xs-6" style="line-height: 40px;">' +
                                        '<span style="color: #999999;">与挂牌差价：</span>' +
                                        '<span style="color: #333333;">' + regionalProductList[j].diffListPrice + '</span>' +
                                        '</div>';
                                }
                                html += '</div>' +
                                    '</div>';
                            }
                            html += '</div>';
                            $("#regionalProductList").append(html);
                        }
                        html = "";
                        var regionalList = data.data.regionalList;
                        for (var j = 0; j < regionalList.length; j++) {
                            if (regionalList[j].planDiff != null && regionalList[j].planDiff != "") {
                                regionalList[j].planPrice = parseFloat(regionalList[j].listPrise) + parseFloat(regionalList[j].planDiff);// 计划价格
                            } else {
                                regionalList[j].planPrice = "";// 计划价格
                            }
                            var html = '<div class="col-xs-12 bg-white">';
                            html += '<div class="col-xs-12 padding-0" style="line-height: 32px;">' +
                                '<span>区域编码：</span>' +
                                '<span style="margin-left: 10px;" id="areaCode">' + regionalList[j].areaCode + '</span>' +
                                '</div>' +
                                '<div class="col-xs-12 padding-0" style="line-height: 32px;">' +
                                '<span>区域名称：</span>' +
                                '<span style="margin-left: 10px;" id="areaName">' + regionalList[j].areaName + '</span>' +
                                '</div>' +
                                '<div class="col-xs-12 padding-0" style="line-height: 32px;">' +
                                '<span>区域描述：</span>' +
                                '<span style="margin-left: 10px;" id="areaDesc">' + ((regionalList[j].areaDesc == null || regionalList[j].areaDesc == "") ? "暂无" : regionalList[j].areaDesc) + '</span>' +
                                '</div>';
                            var proArr = regionalList[j].regionalProductList;
                            for (var k = 0; k < proArr.length; k++) {
                                if (proArr[k].planDiff !== null && proArr[k].planDiff !== "") {
                                    proArr[k].planPrice = parseFloat(proArr[k].listPrise) + parseFloat(proArr[k].planDiff);
                                } else {
                                    proArr[k].planPrice = "";
                                }
                                var areaPrice = 0;
                                if (proArr[k].isAdjust) {
                                    var isAdjustName = "是";
                                    areaPrice = (proArr[k].listPrise - (-proArr[k].diffListPrice)).toFixed(2);
                                } else {
                                    var isAdjustName = "否";
                                    areaPrice = proArr[k].settingPrice.toFixed(2);
                                }
                                html += '<div class="col-xs-12 padding-0" style="background: #F7F7F7;margin-bottom: 10px;">' +
                                    '<div class="col-xs-12 padding-0 text-center" style="background: #b9b2b2;line-height: 40px;">' +
                                    '<span style="font-weight: bold;">产品名称：' + proArr[k].prodName + '</span>' +
                                    '</div>' +
                                    '<div class="col-xs-12 padding-0" style="padding-top: 10px;">' +
                                    '<div class="col-xs-6" style="line-height: 30px;">' +
                                    '<span style="color: #999999;">包装方式：</span>' +
                                    '<span style="color: #333333;">' + areaPolicyDetail.data.prodPack[proArr[k].prodPack] + '</span>' +
                                    '</div>' +
                                    '<div class="col-xs-6" style="line-height: 30px;">' +
                                    '<span style="color: #999999;">运输方式：</span>' +
                                    '<span style="color: #333333;">' + areaPolicyDetail.data.transfType[proArr[k].transMode] + '</span>' +
                                    '</div>' +
                                    '<div class="col-xs-6" style="line-height: 30px;text-indent: 28px;">' +
                                    '<span style="color: #999999;">用途：</span>' +
                                    '<span style="color: #333333;">' + areaPolicyDetail.data.prodPurpose[proArr[k].prodPurpose] + '</span>' +
                                    '</div>' +
                                    '<div class="col-xs-6" style="line-height: 30px;text-indent: 14px;">' +
                                    '<span style="color: #999999;">挂牌价：</span>' +
                                    '<span style="color: #333333;">' + proArr[k].listPrise + '</span>' +
                                    '</div>' +
                                    '<div class="col-xs-6" style="line-height: 30px;">' +
                                    '<span style="color: #999999;">产品状态：</span>' +
                                    '<span style="color: #333333;">' + areaPolicyDetail.data.proStatusMap['0'] + '</span>' +
                                    '</div>' +
                                    // '</div>' +
                                    // '<div class="col-xs-12 margin-top-10" style="border-width: 0.5px;border-style: dashed;border-color:#ded1d1;"></div>' +
                                    // '<div class="col-xs-12 padding-0">' +
                                    // '<div class="col-xs-12 margin-top-10" style="line-height: 40px;">' +
                                    // '<span style="color: #333333;">计划价格</span>' +
                                    // '</div>' +
                                    // '<div class="col-xs-12" style="line-height: 40px;">' +
                                    // '<span style="color: #999999;">计划价格：</span>' +
                                    // '<span style="color: #333333;">' + proArr[k].planPrice + '</span>' +
                                    // '</div>' +
                                    '</div>' +
                                    '<div class="col-xs-12 margin-top-10" style="border-width: 0.5px;border-style: dashed;border-color:#ded1d1;"></div>' +
                                    '<div class="col-xs-12 padding-0">' +
                                    '<div class="col-xs-12 margin-top-10" style="line-height: 40px;">' +
                                    '<span style="color: #333333;">区域价格：</span>' +
                                    '<span style="color: #333333;">' + areaPrice + '</span>' +
                                    '</div>' +
                                    '<div class="col-xs-6" style="line-height: 40px;">' +
                                    '<span style="color: #999999;">随挂牌价格调整：</span>' +
                                    '<span style="color: #333333;">' + isAdjustName + '</span>' +
                                    '</div>';
                                if (proArr[k].isAdjust) {
                                    html += '<div class="col-xs-6" style="line-height: 40px;">' +
                                        '<span style="color: #999999;">与挂牌差价：</span>' +
                                        '<span style="color: #333333;">' + proArr[k].diffListPrice + '</span>' +
                                        '</div>';
                                }
                                html += '</div>' +
                                    '</div>';
                            }
                            html += '</div>';
                            $("#regionalList").append(html);
                        }
                    } else {
                        $("#noChangeData").show();
                        $("#noNewChangeData").show();
                    }
                }
            })
        },
        getQueryData: function () {
            var policyId = plus.webview.currentWebview().policyId;
            var oldPolicyId = plus.webview.currentWebview().oldPolicyId;
            var policyType = plus.webview.currentWebview().policyType;
            var contInfoId = plus.webview.currentWebview().contInfoId;
            //获取可见公司列表
            var cmplist = window.localStorage.getItem("cmpCodeList");
            var data = {
                page: GLOBAL.PAGE_INDEX,
                rows: GLOBAL.ROWS,
                custId: window.localStorage.getItem("custId"),
                custLevel: window.localStorage.getItem("custLevel"),
                cmpCodeList: JSON.parse(cmplist),
                policyType: policyType,
                policyId: policyId,
                oldPolicyId: oldPolicyId,
                contInfoId: contInfoId,
                flag: areaPolicyDetail.data.flag
            }
            return JSON.stringify(data);
        },
        //查询包装方式
        queryprodPack: function () {
            var token = window.localStorage.getItem("token");
            var mobile = window.localStorage.getItem("loginNumber");
            mui.ajax(GLOBAL.SERVER_URL + "api/dataDictionary/query/queryprodPack", {
                type: "post",
                dataType: "json",
                headers: {
                    "Content-Type": "application/json;charset=UTF-8",
                    "__REQUEST_TYPE": "AJAX_REQUEST",
                    "token": token,
                    "mobile": mobile
                },
                data: JSON.stringify({propertyCode: "prodPack"}),
                timeout: GLOBAL.ONLINE_TIME,
                error: function (xhr, type, errorThrown) {
                    GLOBAL.AJAX_ERROR_HANDLER(0);
                    console.log(JSON.stringify(type))
                },
                success: function (data) {
                    if (data.code == "03") {
                        mui.toast("登录超时，请重新登录");
                        var mobileList = window.localStorage.getItem("mobileList");
                        window.localStorage.clear();
                        window.localStorage.setItem("mobileList", mobileList);
                        plus.runtime.restart();
                    }
                    if (data.code == "02") {
                        mui.toast(data.message);
                        return false;
                    }
                    var bizList = data.bizList;
                    var prodPack = {};
                    for (var i = 0; i < bizList.length; i++) {
                        prodPack[bizList[i].dCode] = bizList[i].dName;
                    }
                    areaPolicyDetail.data.prodPack = prodPack;
                    areaPolicyDetail.service.queryTransMode();
                }
            })
        },
        //查询运输方式
        queryTransMode: function () {
            var token = window.localStorage.getItem("token");
            var mobile = window.localStorage.getItem("loginNumber");
            mui.ajax(GLOBAL.SERVER_URL + "api/dataDictionary/query/queryprodPack", {
                type: "post",
                dataType: "json",
                headers: {
                    "Content-Type": "application/json;charset=UTF-8",
                    "__REQUEST_TYPE": "AJAX_REQUEST",
                    "token": token,
                    "mobile": mobile
                },
                data: JSON.stringify({propertyCode: "transfType"}),
                timeout: GLOBAL.ONLINE_TIME,
                error: function (xhr, type, errorThrown) {
                    GLOBAL.AJAX_ERROR_HANDLER(0);
                    console.log(JSON.stringify(type))
                },
                success: function (data) {
                    if (data.code == "03") {
                        mui.toast("登录超时，请重新登录");
                        var mobileList = window.localStorage.getItem("mobileList");
                        window.localStorage.clear();
                        window.localStorage.setItem("mobileList", mobileList);
                        plus.runtime.restart();
                    }
                    if (data.code == "02") {
                        mui.toast(data.message);
                        return false;
                    }
                    var bizList = data.bizList;
                    var transfType = {};
                    for (var i = 0; i < bizList.length; i++) {
                        transfType[bizList[i].dCode] = bizList[i].dName;
                    }
                    areaPolicyDetail.data.transfType = transfType;
                    areaPolicyDetail.service.queryProdPurpose();
                }
            })
        },
        //查询用途
        queryProdPurpose: function () {
            var token = window.localStorage.getItem("token");
            var mobile = window.localStorage.getItem("loginNumber");
            mui.ajax(GLOBAL.SERVER_URL + "api/dataDictionary/query/queryprodPack", {
                type: "post",
                dataType: "json",
                headers: {
                    "Content-Type": "application/json;charset=UTF-8",
                    "__REQUEST_TYPE": "AJAX_REQUEST",
                    "token": token,
                    "mobile": mobile
                },
                data: JSON.stringify({propertyCode: "prodPurpose"}),
                timeout: GLOBAL.ONLINE_TIME,
                error: function (xhr, type, errorThrown) {
                    GLOBAL.AJAX_ERROR_HANDLER(0);
                    console.log(JSON.stringify(type))
                },
                success: function (data) {
                    if (data.code == "03") {
                        mui.toast("登录超时，请重新登录");
                        var mobileList = window.localStorage.getItem("mobileList");
                        window.localStorage.clear();
                        window.localStorage.setItem("mobileList", mobileList);
                        plus.runtime.restart();
                    }
                    if (data.code == "02") {
                        mui.toast(data.message);
                        return false;
                    }
                    var bizList = data.bizList;
                    var prodPurpose = {};
                    for (var i = 0; i < bizList.length; i++) {
                        prodPurpose[bizList[i].dCode] = bizList[i].dName;
                    }
                    areaPolicyDetail.data.prodPurpose = prodPurpose;
                    areaPolicyDetail.service.querydeliveryMode();
                }
            })
        },
        //查询交货方式
        querydeliveryMode: function () {
            var token = window.localStorage.getItem("token");
            var mobile = window.localStorage.getItem("loginNumber");
            mui.ajax(GLOBAL.SERVER_URL + "api/dataDictionary/query/queryprodPack", {
                type: "post",
                dataType: "json",
                headers: {
                    "Content-Type": "application/json;charset=UTF-8",
                    "__REQUEST_TYPE": "AJAX_REQUEST",
                    "token": token,
                    "mobile": mobile
                },
                data: JSON.stringify({propertyCode: "deliveryMode"}),
                timeout: GLOBAL.ONLINE_TIME,
                error: function (xhr, type, errorThrown) {
                    GLOBAL.AJAX_ERROR_HANDLER(0);
                    console.log(JSON.stringify(type))
                },
                success: function (data) {
                    if (data.code == "03") {
                        mui.toast("登录超时，请重新登录");
                        var mobileList = window.localStorage.getItem("mobileList");
                        window.localStorage.clear();
                        window.localStorage.setItem("mobileList", mobileList);
                        plus.runtime.restart();
                    }
                    if (data.code == "02") {
                        mui.toast(data.message);
                        return false;
                    }
                    var bizList = data.bizList;
                    var deliveryMode = {};
                    for (var i = 0; i < bizList.length; i++) {
                        deliveryMode[bizList[i].dCode] = bizList[i].dName;
                    }
                    areaPolicyDetail.data.deliveryMode = deliveryMode;
                    areaPolicyDetail.service.querypriceType();
                }
            })
        },
        //查询价格形势
        querypriceType: function () {
            var token = window.localStorage.getItem("token");
            var mobile = window.localStorage.getItem("loginNumber");
            mui.ajax(GLOBAL.SERVER_URL + "api/dataDictionary/query/queryprodPack", {
                type: "post",
                dataType: "json",
                headers: {
                    "Content-Type": "application/json;charset=UTF-8",
                    "__REQUEST_TYPE": "AJAX_REQUEST",
                    "token": token,
                    "mobile": mobile
                },
                data: JSON.stringify({propertyCode: "priceType"}),
                timeout: GLOBAL.ONLINE_TIME,
                error: function (xhr, type, errorThrown) {
                    GLOBAL.AJAX_ERROR_HANDLER(0);
                    console.log(JSON.stringify(type))
                },
                success: function (data) {
                    if (data.code == "03") {
                        mui.toast("登录超时，请重新登录");
                        var mobileList = window.localStorage.getItem("mobileList");
                        window.localStorage.clear();
                        window.localStorage.setItem("mobileList", mobileList);
                        plus.runtime.restart();
                    }
                    if (data.code == "02") {
                        mui.toast(data.message);
                        return false;
                    }
                    var bizList = data.bizList;
                    var priceType = {};
                    for (var i = 0; i < bizList.length; i++) {
                        priceType[bizList[i].dCode] = bizList[i].dName;
                    }
                    areaPolicyDetail.data.priceType = priceType;
                    areaPolicyDetail.service.querypayMode();
                }
            })
        },
        //查询付款方式
        querypayMode: function () {
            var token = window.localStorage.getItem("token");
            var mobile = window.localStorage.getItem("loginNumber");
            mui.ajax(GLOBAL.SERVER_URL + "api/dataDictionary/query/queryprodPack", {
                type: "post",
                dataType: "json",
                headers: {
                    "Content-Type": "application/json;charset=UTF-8",
                    "__REQUEST_TYPE": "AJAX_REQUEST",
                    "token": token,
                    "mobile": mobile
                },
                data: JSON.stringify({propertyCode: "payWay"}),
                timeout: GLOBAL.ONLINE_TIME,
                error: function (xhr, type, errorThrown) {
                    GLOBAL.AJAX_ERROR_HANDLER(0);
                    console.log(JSON.stringify(type))
                },
                success: function (data) {
                    if (data.code == "03") {
                        mui.toast("登录超时，请重新登录");
                        var mobileList = window.localStorage.getItem("mobileList");
                        window.localStorage.clear();
                        window.localStorage.setItem("mobileList", mobileList);
                        plus.runtime.restart();
                    }
                    if (data.code == "02") {
                        mui.toast(data.message);
                        return false;
                    }
                    var bizList = data.bizList;
                    var payWay = {};
                    for (var i = 0; i < bizList.length; i++) {
                        payWay[bizList[i].dCode] = bizList[i].dName;
                    }
                    areaPolicyDetail.data.payWay = payWay;
                    areaPolicyDetail.service.queryticketWay();
                }
            })
        },
        //查询出票方式
        queryticketWay: function () {
            var token = window.localStorage.getItem("token");
            var mobile = window.localStorage.getItem("loginNumber");
            mui.ajax(GLOBAL.SERVER_URL + "api/dataDictionary/query/queryprodPack", {
                type: "post",
                dataType: "json",
                headers: {
                    "Content-Type": "application/json;charset=UTF-8",
                    "__REQUEST_TYPE": "AJAX_REQUEST",
                    "token": token,
                    "mobile": mobile
                },
                data: JSON.stringify({propertyCode: "ticketWay"}),
                timeout: GLOBAL.ONLINE_TIME,
                error: function (xhr, type, errorThrown) {
                    GLOBAL.AJAX_ERROR_HANDLER(0);
                    console.log(JSON.stringify(type))
                },
                success: function (data) {
                    if (data.code == "03") {
                        mui.toast("登录超时，请重新登录");
                        var mobileList = window.localStorage.getItem("mobileList");
                        window.localStorage.clear();
                        window.localStorage.setItem("mobileList", mobileList);
                        plus.runtime.restart();
                    }
                    if (data.code == "02") {
                        mui.toast(data.message);
                        return false;
                    }
                    var bizList = data.bizList;
                    var ticketWay = {};
                    for (var i = 0; i < bizList.length; i++) {
                        ticketWay[bizList[i].dCode] = bizList[i].dName;
                    }
                    areaPolicyDetail.data.ticketWay = ticketWay;
                    areaPolicyDetail.service.queryexchTime();
                }
            })
        },
        //查询承兑汇票政策
        queryexchTime: function () {
            var token = window.localStorage.getItem("token");
            var mobile = window.localStorage.getItem("loginNumber");
            mui.ajax(GLOBAL.SERVER_URL + "api/dataDictionary/query/queryprodPack", {
                type: "post",
                dataType: "json",
                headers: {
                    "Content-Type": "application/json;charset=UTF-8",
                    "__REQUEST_TYPE": "AJAX_REQUEST",
                    "token": token,
                    "mobile": mobile
                },
                data: JSON.stringify({propertyCode: "exchTime"}),
                timeout: GLOBAL.ONLINE_TIME,
                error: function (xhr, type, errorThrown) {
                    GLOBAL.AJAX_ERROR_HANDLER(0);
                    console.log(JSON.stringify(type))
                },
                success: function (data) {
                    if (data.code == "03") {
                        mui.toast("登录超时，请重新登录");
                        var mobileList = window.localStorage.getItem("mobileList");
                        window.localStorage.clear();
                        window.localStorage.setItem("mobileList", mobileList);
                        plus.runtime.restart();
                    }
                    if (data.code == "02") {
                        mui.toast(data.message);
                        return false;
                    }
                    var bizList = data.bizList;
                    var exchTime = {};
                    for (var i = 0; i < bizList.length; i++) {
                        exchTime[bizList[i].dCode] = bizList[i].dName;
                    }
                    areaPolicyDetail.data.exchTime = exchTime;
                    areaPolicyDetail.service.queryexchPrice();
                }
            })
        },
        //查询承兑汇票政策
        queryexchPrice: function () {
            var token = window.localStorage.getItem("token");
            var mobile = window.localStorage.getItem("loginNumber");
            mui.ajax(GLOBAL.SERVER_URL + "api/dataDictionary/query/queryprodPack", {
                type: "post",
                dataType: "json",
                headers: {
                    "Content-Type": "application/json;charset=UTF-8",
                    "__REQUEST_TYPE": "AJAX_REQUEST",
                    "token": token,
                    "mobile": mobile
                },
                data: JSON.stringify({propertyCode: "exchPrice"}),
                timeout: GLOBAL.ONLINE_TIME,
                error: function (xhr, type, errorThrown) {
                    GLOBAL.AJAX_ERROR_HANDLER(0);
                    console.log(JSON.stringify(type))
                },
                success: function (data) {
                    if (data.code == "03") {
                        mui.toast("登录超时，请重新登录");
                        var mobileList = window.localStorage.getItem("mobileList");
                        window.localStorage.clear();
                        window.localStorage.setItem("mobileList", mobileList);
                        plus.runtime.restart();
                    }
                    if (data.code == "02") {
                        mui.toast(data.message);
                        return false;
                    }
                    var bizList = data.bizList;
                    var exchPrice = {};
                    for (var i = 0; i < bizList.length; i++) {
                        exchPrice[bizList[i].dCode] = bizList[i].dName;
                    }
                    areaPolicyDetail.data.exchPrice = exchPrice;
                    areaPolicyDetail.service.queryexchWay();
                }
            })
        },
        //查询承兑汇票政策
        queryexchWay: function () {
            var token = window.localStorage.getItem("token");
            var mobile = window.localStorage.getItem("loginNumber");
            mui.ajax(GLOBAL.SERVER_URL + "api/dataDictionary/query/queryprodPack", {
                type: "post",
                dataType: "json",
                headers: {
                    "Content-Type": "application/json;charset=UTF-8",
                    "__REQUEST_TYPE": "AJAX_REQUEST",
                    "token": token,
                    "mobile": mobile
                },
                data: JSON.stringify({propertyCode: "exchWay"}),
                timeout: GLOBAL.ONLINE_TIME,
                error: function (xhr, type, errorThrown) {
                    GLOBAL.AJAX_ERROR_HANDLER(0);
                    console.log(JSON.stringify(type))
                },
                success: function (data) {
                    if (data.code == "03") {
                        mui.toast("登录超时，请重新登录");
                        var mobileList = window.localStorage.getItem("mobileList");
                        window.localStorage.clear();
                        window.localStorage.setItem("mobileList", mobileList);
                        plus.runtime.restart();
                    }
                    if (data.code == "02") {
                        mui.toast(data.message);
                        return false;
                    }
                    var bizList = data.bizList;
                    var exchWay = {};
                    for (var i = 0; i < bizList.length; i++) {
                        exchWay[bizList[i].dCode] = bizList[i].dName;
                    }
                    areaPolicyDetail.data.exchWay = exchWay;
                    areaPolicyDetail.service.queryguaranteeType();
                }
            })
        },
        //查询履约保证金
        queryguaranteeType: function () {
            var token = window.localStorage.getItem("token");
            var mobile = window.localStorage.getItem("loginNumber");
            mui.ajax(GLOBAL.SERVER_URL + "api/dataDictionary/query/queryprodPack", {
                type: "post",
                dataType: "json",
                headers: {
                    "Content-Type": "application/json;charset=UTF-8",
                    "__REQUEST_TYPE": "AJAX_REQUEST",
                    "token": token,
                    "mobile": mobile
                },
                data: JSON.stringify({propertyCode: "guaranteeType"}),
                timeout: GLOBAL.ONLINE_TIME,
                error: function (xhr, type, errorThrown) {
                    GLOBAL.AJAX_ERROR_HANDLER(0);
                    console.log(JSON.stringify(type))
                },
                success: function (data) {
                    if (data.code == "03") {
                        mui.toast("登录超时，请重新登录");
                        var mobileList = window.localStorage.getItem("mobileList");
                        window.localStorage.clear();
                        window.localStorage.setItem("mobileList", mobileList);
                        plus.runtime.restart();
                    }
                    if (data.code == "02") {
                        mui.toast(data.message);
                        return false;
                    }
                    var bizList = data.bizList;
                    var guaranteeType = {};
                    for (var i = 0; i < bizList.length; i++) {
                        guaranteeType[bizList[i].dCode] = bizList[i].dName;
                    }
                    areaPolicyDetail.data.guaranteeType = guaranteeType;
                    areaPolicyDetail.service.querysaleType();
                }
            })
        },
        //查询类型
        querysaleType: function () {
            var token = window.localStorage.getItem("token");
            var mobile = window.localStorage.getItem("loginNumber");
            mui.ajax(GLOBAL.SERVER_URL + "api/dataDictionary/query/queryprodPack", {
                type: "post",
                dataType: "json",
                headers: {
                    "Content-Type": "application/json;charset=UTF-8",
                    "__REQUEST_TYPE": "AJAX_REQUEST",
                    "token": token,
                    "mobile": mobile
                },
                data: JSON.stringify({propertyCode: "saleType"}),
                timeout: GLOBAL.ONLINE_TIME,
                error: function (xhr, type, errorThrown) {
                    GLOBAL.AJAX_ERROR_HANDLER(0);
                    console.log(JSON.stringify(type))
                },
                success: function (data) {
                    if (data.code == "03") {
                        mui.toast("登录超时，请重新登录");
                        var mobileList = window.localStorage.getItem("mobileList");
                        window.localStorage.clear();
                        window.localStorage.setItem("mobileList", mobileList);
                        plus.runtime.restart();
                    }
                    if (data.code == "02") {
                        mui.toast(data.message);
                        return false;
                    }
                    var bizList = data.bizList;
                    var saleType = {};
                    for (var i = 0; i < bizList.length; i++) {
                        saleType[bizList[i].dCode] = bizList[i].dName;
                    }
                    areaPolicyDetail.data.saleType = saleType;
                    areaPolicyDetail.service.doQuery();
                }
            })
        },
        doPass: function () {
            mui.confirm("是否同意", "", ['确认', '取消'], function (e) {
                if (e.index == 0) {
                    //$("#autoCodeDiv").fadeIn();
                    //$(".mask").fadeIn();
                    areaPolicyDetail.service.passFunc();//同意
                    areaPolicyDetail.data.btnFlag = "1";
                } else {

                }
            })
        },
        passFunc: function () {
            plus.nativeUI.showWaiting();
            $("#passShow").hide();
            $("#rejectShow").hide();
            $("#passHide").show();
            $("#rejectHide").show();
            var data = {
                contInfoId: plus.webview.currentWebview().contInfoId,
                contCode: plus.webview.currentWebview().contCode,
                newPolicyId: plus.webview.currentWebview().policyId,
                id: plus.webview.currentWebview().mainId,
                confirmationStatus: "1",
                policyType: "1"
            }
            var token = window.localStorage.getItem("token");
            var mobile = window.localStorage.getItem("loginNumber");
            var headers = {
                "Content-Type": "application/json;charset=UTF-8",
                "__REQUEST_TYPE": "AJAX_REQUEST"
            }
            headers.token = token;
            headers.mobile = mobile;
            var url = "api/eBusiness/policyAdjust/checkPolicyAdjustImpactCust";
            mui.ajax(GLOBAL.SERVER_URL + url, {
                type: "post",
                dataType: "json",
                headers: headers,
                data: JSON.stringify(data),
                timeout: GLOBAL.ONLINE_TIME,
                error: function (xhr, type, errorThrown) {
                    GLOBAL.AJAX_ERROR_HANDLER(0);
                    console.log(JSON.stringify(type))
                    $("#passShow").show();
                    $("#rejectShow").show();
                    $("#passHide").hide();
                    $("#rejectHide").hide();
                },
                success: function (data) {
                    console.log(JSON.stringify(data))
                    plus.nativeUI.closeWaiting();
                    if (data.code == "03") {
                        mui.toast("登录超时，请重新登录");
                        var mobileList = window.localStorage.getItem("mobileList");
                        window.localStorage.clear();
                        window.localStorage.setItem("mobileList", mobileList);
                        plus.runtime.restart();
                    }
                    if (data.code == "02") {
                        mui.toast(data.message);
                        $("#passShow").show();
                        $("#rejectShow").show();
                        $("#passHide").hide();
                        $("#rejectHide").hide();
                        return;
                    }
                    if (data.code == "01") {
                        /*mui.toast("保存成功");
                        mui.fire(plus.webview.getWebviewById("policy-change-list"),"load-refresh",null);
                        mui.fire(plus.webview.getWebviewById("user"),"user-policy-refresh",null);
                        mui.back();*/
                        var checkAdjustdata = {
                            contInfoId: plus.webview.currentWebview().contInfoId,
                            contCode: plus.webview.currentWebview().contCode,
                            newPolicyId: plus.webview.currentWebview().policyId,
                            id: plus.webview.currentWebview().mainId,
                            confirmationStatus: "1",
                            confirmFlag: 1,
                            policyType: "1"
                        }
                        mui.ajax(GLOBAL.SERVER_URL + "api/eBusiness/prodCmp/checkAdjustConfirm", {
                            type: "post",
                            dataType: "json",
                            headers: {
                                "Content-Type": "application/json;charset=UTF-8",
                                "__REQUEST_TYPE": "AJAX_REQUEST",
                                "token": token,
                                "mobile": mobile
                            },
                            data: JSON.stringify(checkAdjustdata),
                            timeout: GLOBAL.ONLINE_TIME,
                            error: function (xhr, type, errorThrown) {
                                GLOBAL.AJAX_ERROR_HANDLER(0);
                                console.log(JSON.stringify(type))
                            },
                            success: function (data) {
                                if (data.code == "03") {
                                    mui.toast("登录超时，请重新登录");
                                    var mobileList = window.localStorage.getItem("mobileList");
                                    window.localStorage.clear();
                                    window.localStorage.setItem("mobileList", mobileList);
                                    plus.runtime.restart();
                                } else if (data.code == "01") {
                                    mui.toast(data.message);
                                    mui.fire(plus.webview.getWebviewById("policy-adjust-list-dqr"), "load-refresh", null);
                                    mui.fire(plus.webview.getWebviewById("user"), "user-policy-refresh", null);
                                    mui.back();
                                } else {
                                    mui.toast(data.message);
                                }
                            }
                        })
                    }
                }
            })
        },

        doReject: function () {
            mui.confirm("确定不同意政策变更吗？", "", ['确认', '取消'], function (e) {
                if (e.index == 0) {
                    //$("#autoCodeDiv").fadeIn();
                    //$(".mask").fadeIn();
                    // areaPolicyDetail.service.rejectFunc();//不同意
                    areaPolicyDetail.service.rejectFunc("2");
                    areaPolicyDetail.data.btnFlag = "2";
                    areaPolicyDetail.service.doReject2();
                } else {

                }
            })
        },

        doReject2: function () {
            mui.confirm("若不同意本次调整，是否终止合同？", "", ['确认', '取消'], function (e) {
                if (e.index == 0) {
                    areaPolicyDetail.service.rejectFunc("3");
                } else {

                }
            })
        },

        rejectFunc: function (status) {
            plus.nativeUI.showWaiting();
            // $("#passShow").hide();
            // $("#rejectShow").hide();
            // $("#passHide").show();
            // $("#rejectHide").show();
            var data = {
                contInfoId: plus.webview.currentWebview().contInfoId,
                contCode: plus.webview.currentWebview().contCode,
                newPolicyId: plus.webview.currentWebview().policyId,
                id: plus.webview.currentWebview().mainId,
                confirmationStatus: status,
                policyType: "1"
            }
            var token = window.localStorage.getItem("token");
            var mobile = window.localStorage.getItem("loginNumber");
            var headers = {
                "Content-Type": "application/json;charset=UTF-8",
                "__REQUEST_TYPE": "AJAX_REQUEST"
            }
            headers.token = token;
            headers.mobile = mobile;
            var url = "api/eBusiness/policyAdjust/checkPolicyAdjustImpactCust";
            mui.ajax(GLOBAL.SERVER_URL + url, {
                type: "post",
                dataType: "json",
                headers: headers,
                data: JSON.stringify(data),
                timeout: GLOBAL.ONLINE_TIME,
                error: function (xhr, type, errorThrown) {
                    GLOBAL.AJAX_ERROR_HANDLER(0);
                    console.log(JSON.stringify(type))
                    $("#passShow").show();
                    $("#rejectShow").show();
                    $("#passHide").hide();
                    $("#rejectHide").hide();
                },
                success: function (data) {
                    console.log(JSON.stringify(data))
                    plus.nativeUI.closeWaiting();
                    if (data.code == "03") {
                        mui.toast("登录超时，请重新登录");
                        var mobileList = window.localStorage.getItem("mobileList");
                        window.localStorage.clear();
                        window.localStorage.setItem("mobileList", mobileList);
                        plus.runtime.restart();
                    }
                    if (data.code == "02") {
                        mui.toast(data.message);
                        $("#passShow").show();
                        $("#rejectShow").show();
                        $("#passHide").hide();
                        $("#rejectHide").hide();
                        return;
                    }
                    if (data.code == "01" && status == '3') {
                        mui.toast("保存成功");
                        // mui.fire(plus.webview.getWebviewById("policy-change-list"), "load-refresh", null);
                        mui.fire(plus.webview.getWebviewById("policy-adjust-list-dqr"), "load-refresh", null);
                        mui.fire(plus.webview.getWebviewById("user"), "user-policy-refresh", null);
                        mui.back();
                    }
                }
            })
        },
        sendAuthCode: function () {
            var token = window.localStorage.getItem("token");
            var mobile = window.localStorage.getItem("loginNumber");
            mui.ajax(GLOBAL.SERVER_URL + "api/corp/userSentMessage", {
                type: "post",
                dataType: "json",
                headers: {
                    "Content-Type": "application/json;charset=UTF-8",
                    "__REQUEST_TYPE": "AJAX_REQUEST",
                    "token": token,
                    "mobile": mobile
                },
                data: JSON.stringify({
                    loginNumber: window.localStorage.getItem("loginNumber"),
                    createPersonName: window.localStorage.getItem("custName")
                }),
                timeout: GLOBAL.ONLINE_TIME,
                error: function (xhr, type, errorThrown) {
                    GLOBAL.AJAX_ERROR_HANDLER(0);
                    console.log(JSON.stringify(type))
                },
                success: function (data) {
                    if (data.code == "03") {
                        mui.toast("登录超时，请重新登录");
                        var mobileList = window.localStorage.getItem("mobileList");
                        window.localStorage.clear();
                        window.localStorage.setItem("mobileList", mobileList);
                        plus.runtime.restart();
                    }
                    if (data.code == "01") {
                        mui.toast("发送短信成功");
                        var waitTime = 60;
                        var timer = setInterval(function () {
                            $("#sendAuthCode").text(waitTime + '秒');
                            waitTime--;
                            var sum = parseInt($("#sendAuthCode").text()) - 1;
                            if (waitTime < 0) {
                                timer = window.clearInterval(timer);
                                waitTime = 60;
                                $("#sendAuthCode").text("发送验证码");
                            }
                        }, 1000)
                    } else {
                        mui.toast(data.message);
                    }
                }
            })
        },
        checkMessageCode: function () {
            var token = window.localStorage.getItem("token");
            var mobile = window.localStorage.getItem("loginNumber");
            mui.ajax(GLOBAL.SERVER_URL + "api/corp/checkMessageCode", {
                type: "post",
                dataType: "json",
                headers: {
                    "Content-Type": "application/json;charset=UTF-8",
                    "__REQUEST_TYPE": "AJAX_REQUEST",
                    "token": token,
                    "mobile": mobile
                },
                data: JSON.stringify({
                    authCode: $("#authCode").val(),
                    loginNumber: window.localStorage.getItem("loginNumber")
                }),
                timeout: GLOBAL.ONLINE_TIME,
                error: function (xhr, type, errorThrown) {
                    GLOBAL.AJAX_ERROR_HANDLER(0);
                    console.log(JSON.stringify(type))
                },
                success: function (data) {
                    if (data.code == "03") {
                        mui.toast("登录超时，请重新登录");
                        var mobileList = window.localStorage.getItem("mobileList");
                        window.localStorage.clear();
                        window.localStorage.setItem("mobileList", mobileList);
                        plus.runtime.restart();
                    }
                    if (data.code == "01") {
                        $("#authCode").val("");
                        $("#autoCodeDiv").fadeOut();
                        $(".mask").fadeOut();
                        if (areaPolicyDetail.data.btnFlag == "1") {
                            areaPolicyDetail.service.passFunc();//同意
                        } else if (areaPolicyDetail.data.btnFlag == "2") {
                            areaPolicyDetail.service.rejectFunc();//不同意
                        }
                    } else {
                        mui.toast("您的验证码不正确或已失效，请重新发送！");
                    }
                }
            })
        }

    },
    init: function () {
        areaPolicyDetail.event();
        $("#authCodePhoneNumber").val(window.localStorage.getItem("loginNumber"));
        if (plus.webview.currentWebview().oldFlag == "2" && plus.webview.currentWebview().confirmationStatus == "0") {
            $("#footer").show();
            $("#policy-product").css("margin-bottom", "50px");
        }
        areaPolicyDetail.service.queryprodPack();
    }
}
mui.plusReady(function () {
    areaPolicyDetail.init();
});
