quality_dj = {
	param: function() {

	},
	data: {
		prodPackList: [],
		paramUnitList: [],
		prodAllName: "",
		sealName: "", // 印章名称
		cmpName: "", // 厂家名称
		show_28: false,
		officialSealNo: "",
		officialSealSortNo: "",
	},
	event: function() {
		window.addEventListener("information-load", function() {
			mui("#quality-list-container").pullRefresh().pulldownLoading();
		})
	},
	service: {
		subNumber: function(num) {
			return (Math.round(num * 10) / 10).toFixed(1);
		},

		createSealEx: function() {
			var that = this;
			var tuzhangdiv = document.getElementById("tuzhangdiv");
			tuzhangdiv.innerHTML = "<canvas id='canvas' width='300' height='300'></canvas>";
			quality_dj.service.createSeal('canvas', quality_dj.data.cmpName, quality_dj.data.sealName);
		},

		createSeal: function(id, company, name) {

			var canvas = document.getElementById(id);
			var context = canvas.getContext('2d');
			context.translate(0, 0); //移动坐标原点

			// 绘制印章边框
			var width = canvas.width / 2;
			var height = canvas.height / 2;

			context.lineWidth = 7;
			context.strokeStyle = "#f00";
			context.beginPath();
			context.arc(width, height, 80, 0, Math.PI * 2);
			context.stroke();
			context.save();

			//画五角星
			quality_dj.service.create5star(context, width, height, 20, "#f00", 0);

			// 绘制印章名称
			context.font = 'bolder 11px SimSun';
			context.textBaseline = 'middle'; //设置文本的垂直对齐方式
			context.textAlign = 'center'; //设置文本的水平对对齐方式
			context.lineWidth = 1;
			context.fillStyle = '#f00';
			context.fillText(name, width, height + 40);

			if (typeof quality_dj.data.officialSealSortNo != "undefined" && quality_dj.data
				.officialSealSortNo != null && quality_dj.data.officialSealSortNo != "") {
				context.fillText("（" + quality_dj.data.officialSealSortNo + "）", width, height + 50);
			}

			// 绘制印章单位
			context.translate(width, height); // 平移到此位置,
			context.font = 'bolder 15px SimSun '
			//company="马鞍山海螺公司";
			var count = company.length; // 字数
			var angle = 4 * Math.PI / (3 * (count - 1)); // 字间角度
			var chars = company.split("");
			var c;
			for (var i = 0; i < count; i++) {
				c = chars[i]; // 需要绘制的字符
				if (i == 0)
					context.rotate(5 * Math.PI / 6);
				else
					context.rotate(angle);
				context.save();
				context.translate(70, 0); // 平移到此位置,此时字和x轴垂直，第一个参数是与圆外边的距离，越大距离越近
				context.rotate(Math.PI / 2); // 旋转90度,让字平行于x轴
				context.fillText(c, 0, 5); // 此点为字的中心点
				context.restore();
			}

			if (typeof quality_dj.data.officialSealNo != "undefined" && quality_dj.data.officialSealNo !=
				null && quality_dj.data.officialSealNo != "") {
				context.font = 'bolder 10px SimSun '
				var company2 = quality_dj.data.officialSealNo + "   ";
				var count2 = company2.length; // 字数
				var angle2 = 4 * Math.PI / (3 * (count2 - 1)); // 字间角度
				var chars2 = company2.split("");
				var c2;
				for (var i = count2 - 1; i >= 0; i--) {
					c2 = chars2[i]; // 需要绘制的字符

					//	context.rotate(13 * Math.PI /280);
					context.rotate(0.1);
					context.save();
					context.translate(65, 0); // 平移到此位置,此时字和x轴垂直，第一个参数是与圆外边的距离，越大距离越近
					context.rotate(Math.PI / 0.7); // 旋转90度,让字平行于x轴
					context.fillText(c2, 0, 5); // 此点为字的中心点
					context.restore();
				}
			}
			//绘制党徽
			//this.drowImageToCanvas(context, width, height);
		},

		//绘制五角星
		/**
		 * 创建一个五角星形状. 该五角星的中心坐标为(sx,sy),中心到顶点的距离为radius,rotate=0时一个顶点在对称轴上
		 * rotate:绕对称轴旋转rotate弧度
		 */
		create5star: function(context, sx, sy, radius, color, rotato) {
			context.save();
			context.fillStyle = color;
			context.translate(sx, sy); //移动坐标原点
			context.rotate(Math.PI + rotato); //旋转
			context.beginPath(); //创建路径
			var x = Math.sin(0);
			var y = Math.cos(0);
			var dig = Math.PI / 5 * 4;
			for (var i = 0; i < 5; i++) { //画五角星的五条边
				var x = Math.sin(i * dig);
				var y = Math.cos(i * dig);
				context.lineTo(x * radius, y * radius);
			}
			context.closePath();
			context.stroke();
			context.fill();
			context.restore();
		},

		getUnitValue: function(unit) {
			for (var i = 0; i < quality_dj.data.paramUnitList.length; i++) {
				if (quality_dj.data.paramUnitList[i].dCode == unit) {
					return quality_dj.data.paramUnitList[i].dName;
				}
			}
			return unit;
		},

		setModelValue: function(data) {
			quality_dj.data.officialSealNo = data.officialSealNo;
			quality_dj.data.officialSealSortNo = data.officialSealSortNo;
			quality_dj.data.sealName = data.openPerson;
			quality_dj.data.cmpName = data.cmpName;
			// 批准人
			$("#approver").text(data.approver);
			// 审核人
			$("#reviewer").text(data.reviewer);
			// 电话
			$("#salesHotline").text(data.salesHotline);
			// 邮编
			$("#postalCode").text(data.postalCode);

			// 产品名称
			$("#prodName").text(data.prodName);
			// 开具日期
			$("#showOpenTime").text(GLOBAL.formatDate(new Date(data.openTime)));
			// 批次号
			$("#printBatchNumber").text(data.printBatchNumber);
			// 打印日期
			if (data.printTime != null && data.printTime !== '') {
				$("#printTime").text(GLOBAL.formatDate(new Date(data.printTime)));
			}
			// 客户名称
			$("#custName").text(data.custName);
			// 出厂编号
			$("#qcCode").text(data.qcCode);
			// 数量
			$("#sendWeight").text(data.sendWeight);
			// 品种等级
			$("#prodName1").text(data.prodName);

			var dataList = JSON.parse(data.catQcData);
			for (i = 0; i < dataList.length; i++) {
				// 烧失量
				if (dataList[i].code == "SSL") {
					$("#modelShowssl").show();
					$("#modelNextssl").text(dataList[i].value);
					var unitName = quality_dj.service.getUnitValue(dataList[i].unit);
					$("#modelUnitssl").text(unitName);
					$("#modelStdssl").text(dataList[i].std);
					$("#modelContStdssl").text(dataList[i].contractStd);
					$("#modelNamessl").text(dataList[i].name);
					continue;
				}
				// 三氧化硫
				else if (dataList[i].code == "SYHL") {
					$("#modelShowsyhl").show();
					$("#modelNextsyhl").text(dataList[i].value);
					var unitName = quality_dj.service.getUnitValue(dataList[i].unit);
					$("#modelUnitsyhl").text(unitName);
					$("#modelStdsyhl").text(dataList[i].std);
					$("#modelContStdsyhl").text(dataList[i].contractStd);
					$("#modelNamesyhl").text(dataList[i].name);
					continue;
				}
				// 保水率
				else if (dataList[i].code == "BSL") {
					$("#modelShowbsl").show();
					$("#modelNextbsl").text(dataList[i].value);
					var unitName = quality_dj.service.getUnitValue(dataList[i].unit);
					$("#modelUnitbsl").text(unitName);
					$("#modelStdbsl").text(dataList[i].std);
					$("#modelContStdbsl").text(dataList[i].contractStd);
					$("#modelNamebsl").text(dataList[i].name);
					continue;
				}
				// 氧化镁
				else if (dataList[i].code == "YHM") {
					$("#modelShowyhm").show();
					$("#modelNextyhm").text(dataList[i].value);
					var unitName = quality_dj.service.getUnitValue(dataList[i].unit);
					$("#modelUnityhm").text(unitName);
					$("#modelStdyhm").text(dataList[i].std);
					$("#modelContStdyhm").text(dataList[i].contractStd);
					$("#modelNameyhm").text(dataList[i].name);
					continue;
				}
				// Na2O+0.658K2O
				else if (dataList[i].code == "YHN-YHJ") {
					$("#modelShowyhnyhj").show();
					$("#modelNextyhnyhj").text(dataList[i].value);
					var unitName = quality_dj.service.getUnitValue(dataList[i].unit);
					$("#modelUnityhnyhj").text(unitName);
					$("#modelStdyhnyhj").text(dataList[i].std);
					$("#modelContStdyhnyhj").text(dataList[i].contractStd);
					$("#modelNameyhnyhj").text(dataList[i].name);
					continue;
				}
				// 氯离子
				else if (dataList[i].code == "LLZ" || dataList[i].code == "Cl-") {
					$("#modelNextllz").text(dataList[i].value);
					$("#modelShowllz").show();
					var unitName = quality_dj.service.getUnitValue(dataList[i].unit);
					$("#modelUnitllz").text(unitName);
					$("#modelStdllz").text(dataList[i].std);
					$("#modelContStdllz").text(dataList[i].contractStd);
					$("#modelNamellz").text(dataList[i].name);
					continue;
				}
				// C3A
				else if (dataList[i].code == "C3A") {
					$("#modelShowc3a").show();
					$("#modelNextc3a").text(dataList[i].value);
					var unitName = quality_dj.service.getUnitValue(dataList[i].unit);
					$("#modelUnitc3a").text(unitName);
					$("#modelStdc3a").text(dataList[i].std);
					$("#modelContStdc3a").text(dataList[i].contractStd);
					$("#modelNamec3a").text(dataList[i].name);
					continue;
				}
				// 水泥中f-CaO
				else if (dataList[i].code == "f-CaO") {
					$("#modelShowfCaO").show();
					$("#modelNextfCaO").text(dataList[i].value);
					var unitName = quality_dj.service.getUnitValue(dataList[i].unit);
					$("#modelUnitfCaO").text(unitName);
					$("#modelStdfCaO").text(dataList[i].std);
					$("#modelContStdfCaO").text(dataList[i].contractStd);
					$("#modelNamefCaO").text(dataList[i].name);
					continue;
				}
				// 细度（80μm）
				else if (dataList[i].code == "XD") {
					$("#modelShowxd").show();
					$("#modelNextxd").text(dataList[i].value);
					var unitName = quality_dj.service.getUnitValue(dataList[i].unit);
					$("#modelUnitxd").text(unitName);
					$("#modelStdxd").text(dataList[i].std);
					$("#modelContStdxd").text(dataList[i].contractStd);
					$("#modelNamexd").text(dataList[i].name);
					continue;
				}
				// 比表面积
				else if (dataList[i].code == "BBMJ") {
					$("#modelShowbbmj").show();
					$("#modelNextbbmj").text(dataList[i].value);
					var unitName = quality_dj.service.getUnitValue(dataList[i].unit);
					$("#modelUnitbbmj").text(unitName);
					$("#modelStdbbmj").text(dataList[i].std);
					$("#modelContStdbbmj").text(dataList[i].contractStd);
					$("#modelNamebbmj").text(dataList[i].name);
					continue;
				}
				// 初凝时间
				else if (dataList[i].code == "CNSJ") {
					$("#modelShowcnsj").show();
					$("#modelNextcnsj").text(dataList[i].value);
					var unitName = quality_dj.service.getUnitValue(dataList[i].unit);
					$("#modelUnitcnsj").text(unitName);
					$("#modelStdcnsj").text(dataList[i].std);
					$("#modelContStdcnsj").text(dataList[i].contractStd);
					$("#modelNamecnsj").text(dataList[i].name);
					continue;
				}
				// 终凝时间
				else if (dataList[i].code == "ZNSJ") {
					$("#modelShowznsj").show();
					$("#modelNextznsj").text(dataList[i].value);
					var unitName = quality_dj.service.getUnitValue(dataList[i].unit);
					$("#modelUnitznsj").text(unitName);
					$("#modelStdznsj").text(dataList[i].std);
					$("#modelContStdznsj").text(dataList[i].contractStd);
					$("#modelNameznsj").text(dataList[i].name);
					continue;
				}
				// 安定性
				else if (dataList[i].code == "ADX") {
					$("#modelShowadx").show();
					$("#modelNextadx").text(dataList[i].value);
					var unitName = quality_dj.service.getUnitValue(dataList[i].unit);
					$("#modelUnitadx").text(unitName);
					$("#modelStdadx").text(dataList[i].std);
					$("#modelContStdadx").text(dataList[i].contractStd);
					$("#modelNameadx").text(dataList[i].name);
					continue;
				}
				// 混合材-品种
				else if (dataList[i].code == "HHC-PZ") {
					$("#modelShowhhcPz").show();
					$("#modelNexthhcPz").text(dataList[i].value);
					var unitName = quality_dj.service.getUnitValue(dataList[i].unit);
					$("#modelUnithhcPz").text(unitName);
					$("#modelStdhhcPz").text(dataList[i].std);
					$("#modelContStdhhcPz").text(dataList[i].contractStd);
					$("#modelNamehhcPz").text(dataList[i].name);
					continue;
				}
				// 混合材-掺量
				else if (dataList[i].code == "HHC-CL") {
					$("#modelShowhhcCl").show();
					$("#modelNexthhcCl").text(dataList[i].value);
					var unitName = quality_dj.service.getUnitValue(dataList[i].unit);
					$("#modelUnithhcCl").text(unitName);
					$("#modelStdhhcCl").text(dataList[i].std);
					$("#modelContStdhhcCl").text(dataList[i].contractStd);
					$("#modelNamehhcCl").text(dataList[i].name);
					continue;
				}
				// 石膏品种
				else if (dataList[i].code == "SG-PZ") {
					$("#modelShowsgPz").show();
					$("#modelNextsgPz").text(dataList[i].value);
					var unitName = quality_dj.service.getUnitValue(dataList[i].unit);
					$("#modelUnitsgPz").text(unitName);
					$("#modelStdsgPz").text(dataList[i].std);
					$("#modelContStdsgPz").text(dataList[i].contractStd);
					$("#modelNamesgPz").text(dataList[i].name);
					continue;
				}
				// 石膏掺量
				else if (dataList[i].code == "SG-CL") {
					$("#modelShowsgCl").show();
					$("#modelNextsgCl").text(dataList[i].value);
					var unitName = quality_dj.service.getUnitValue(dataList[i].unit);
					$("#modelUnitsgCl").text(unitName);
					$("#modelStdsgCl").text(dataList[i].std);
					$("#modelContStdsgCl").text(dataList[i].contractStd);
					$("#modelNamesgCl").text(dataList[i].name);
					continue;
				} else if (dataList[i].code == "EBTQD-KY1") {
					$("#modelNexttqdKy1").text(dataList[i].value);
					var unitName = quality_dj.service.getUnitValue(dataList[i].unit);
					$("#modelUnittqdKy").text(unitName);
					$("#modelStdtqdKy").text(dataList[i].std);
					$("#modelContStdtqdKy").text(dataList[i].contractStd);
					continue;
				} else if (dataList[i].code == "EBTQD-KY2") {
					$("#modelNexttqdKy2").text(dataList[i].value);
					var unitName = quality_dj.service.getUnitValue(dataList[i].unit);
					$("#modelUnittqdKy").text(unitName);
					$("#modelStdtqdKy").text(dataList[i].std);
					$("#modelContStdtqdKy").text(dataList[i].contractStd);
					continue;
				} else if (dataList[i].code == "EBTQD-KY3") {
					$("#modelNexttqdKy3").text(dataList[i].value);
					var unitName = quality_dj.service.getUnitValue(dataList[i].unit);
					$("#modelUnittqdKy").text(unitName);
					$("#modelStdtqdKy").text(dataList[i].std);
					$("#modelContStdtqdKy").text(dataList[i].contractStd);
					continue;
				} else if (dataList[i].code == "EBTQD-KY4") {
					$("#modelNexttqdKy4").text(dataList[i].value);
					var unitName = quality_dj.service.getUnitValue(dataList[i].unit);
					$("#modelUnittqdKy").text(unitName);
					$("#modelStdtqdKy").text(dataList[i].std);
					$("#modelContStdtqdKy").text(dataList[i].contractStd);
					continue;
				} else if (dataList[i].code == "EBTQD-KY5") {
					$("#modelNexttqdKy5").text(dataList[i].value);
					var unitName = quality_dj.service.getUnitValue(dataList[i].unit);
					$("#modelUnittqdKy").text(unitName);
					$("#modelStdtqdKy").text(dataList[i].std);
					$("#modelContStdtqdKy").text(dataList[i].contractStd);
					continue;
				} else if (dataList[i].code == "EBTQD-KY6") {
					$("#modelNexttqdKy6").text(dataList[i].value);
					var unitName = quality_dj.service.getUnitValue(dataList[i].unit);
					$("#modelUnittqdKy").text(unitName);
					$("#modelStdtqdKy").text(dataList[i].std);
					$("#modelContStdtqdKy").text(dataList[i].contractStd);
					continue;
				} else if (dataList[i].code == "EBTQD-KZ1") {
					$("#modelNexttqdKz1").text(dataList[i].value);
					var unitName = quality_dj.service.getUnitValue(dataList[i].unit);
					$("#modelUnittqdKz").text(unitName);
					$("#modelStdtqdKz").text(dataList[i].std);
					$("#modelContStdtqdKz").text(dataList[i].contractStd);
					continue;
				} else if (dataList[i].code == "EBTQD-KZ2") {
					$("#modelNexttqdKz2").text(dataList[i].value);
					var unitName = quality_dj.service.getUnitValue(dataList[i].unit);
					$("#modelUnittqdKz").text(unitName);
					$("#modelStdtqdKz").text(dataList[i].std);
					$("#modelContStdtqdKz").text(dataList[i].contractStd);
					continue;
				} else if (dataList[i].code == "EBTQD-KZ3") {
					$("#modelNexttqdKz3").text(dataList[i].value);
					var unitName = quality_dj.service.getUnitValue(dataList[i].unit);
					$("#modelUnittqdKz").text(unitName);
					$("#modelStdtqdKz").text(dataList[i].std);
					$("#modelContStdtqdKz").text(dataList[i].contractStd);
					continue;
				} else if (dataList[i].code == "STQD-KY1") {
					$("#modelNextstqdKy1").text(dataList[i].value);
					var unitName = quality_dj.service.getUnitValue(dataList[i].unit);
					$("#modelUnitstqdKy").text(unitName);
					$("#modelStdstqdKy").text(dataList[i].std);
					$("#modelContStdstqdKy").text(dataList[i].contractStd);
					continue;
				} else if (dataList[i].code == "STQD-KY2") {
					$("#modelNextstqdKy2").text(dataList[i].value);
					var unitName = quality_dj.service.getUnitValue(dataList[i].unit);
					$("#modelUnitstqdKy").text(unitName);
					$("#modelStdstqdKy").text(dataList[i].std);
					$("#modelContStdstqdKy").text(dataList[i].contractStd);
					continue;
				} else if (dataList[i].code == "STQD-KY3") {
					$("#modelNextstqdKy3").text(dataList[i].value);
					var unitName = quality_dj.service.getUnitValue(dataList[i].unit);
					$("#modelUnitstqdKy").text(unitName);
					$("#modelStdstqdKy").text(dataList[i].std);
					$("#modelContStdstqdKy").text(dataList[i].contractStd);
					continue;
				} else if (dataList[i].code == "STQD-KY4") {
					$("#modelNextstqdKy4").text(dataList[i].value);
					var unitName = quality_dj.service.getUnitValue(dataList[i].unit);
					$("#modelUnitstqdKy").text(unitName);
					$("#modelStdstqdKy").text(dataList[i].std);
					$("#modelContStdstqdKy").text(dataList[i].contractStd);
					continue;
				} else if (dataList[i].code == "STQD-KY5") {
					$("#modelNextstqdKy5").text(dataList[i].value);
					var unitName = quality_dj.service.getUnitValue(dataList[i].unit);
					$("#modelUnitstqdKy").text(unitName);
					$("#modelStdstqdKy").text(dataList[i].std);
					$("#modelContStdstqdKy").text(dataList[i].contractStd);
					continue;
				} else if (dataList[i].code == "STQD-KY6") {
					$("#modelNextstqdKy6").text(dataList[i].value);
					var unitName = quality_dj.service.getUnitValue(dataList[i].unit);
					$("#modelUnitstqdKy").text(unitName);
					$("#modelStdstqdKy").text(dataList[i].std);
					$("#modelContStdstqdKy").text(dataList[i].contractStd);
					continue;
				} else if (dataList[i].code == "STQD-KZ1") {
					$("#modelNextstqdKz1").text(dataList[i].value);
					var unitName = quality_dj.service.getUnitValue(dataList[i].unit);
					$("#modelUnitstqdKz").text(unitName);
					$("#modelStdstqdKz").text(dataList[i].std);
					$("#modelContStdstqdKz").text(dataList[i].contractStd);
					continue;
				} else if (dataList[i].code == "STQD-KZ2") {
					$("#modelNextstqdKz2").text(dataList[i].value);
					var unitName = quality_dj.service.getUnitValue(dataList[i].unit);
					$("#modelUnitstqdKz").text(unitName);
					$("#modelStdstqdKz").text(dataList[i].std);
					$("#modelContStdstqdKz").text(dataList[i].contractStd);
					continue;
				} else if (dataList[i].code == "STQD-KZ3") {
					$("#modelNextstqdKz3").text(dataList[i].value);
					var unitName = quality_dj.service.getUnitValue(dataList[i].unit);
					$("#modelUnitstqdKz").text(unitName);
					$("#modelStdstqdKz").text(dataList[i].std);
					$("#modelContStdstqdKz").text(dataList[i].contractStd);
					continue;
				}
			}
			//三天抗折强度平均值
			var modelNextstqdKz1 = $("#modelNextstqdKz1").text();
			var modelNextstqdKz2 = $("#modelNextstqdKz2").text();
			var modelNextstqdKz3 = $("#modelNextstqdKz3").text();
			if ($("#modelNextstqdKz1").text() == "") {
				$("#modelNextstqdKz1").text("0");
				modelNextstqdKz1 = "0";
			}
			if ($("#modelNextstqdKz2").text() == "") {
				$("#modelNextstqdKz2").text("0");
				modelNextstqdKz2 = "0";
			}
			if ($("#modelNextstqdKz3").text() == "") {
				$("#modelNextstqdKz3").text("0");
				modelNextstqdKz3 = "0";
			}
			var stqdKzSum = parseFloat(modelNextstqdKz1) + parseFloat(modelNextstqdKz2) + parseFloat(
				modelNextstqdKz3);
			if (stqdKzSum == 0) {
				$("#modelNextstqdKz").text('0');
			} else {
				$("#modelNextstqdKz").text(quality_dj.service.subNumber(stqdKzSum / 3));
			}

			var modelNextstqdKy1 = $("#modelNextstqdKy1").text();
			var modelNextstqdKy2 = $("#modelNextstqdKy2").text();
			var modelNextstqdKy3 = $("#modelNextstqdKy3").text();
			var modelNextstqdKy4 = $("#modelNextstqdKy4").text();
			var modelNextstqdKy5 = $("#modelNextstqdKy5").text();
			var modelNextstqdKy6 = $("#modelNextstqdKy6").text();
			//三天抗压强度平均值
			if ($("#modelNextstqdKy1").text() == "") {
				$("#modelNextstqdKy1").text("0");
				modelNextstqdKy1 = "0";
			}
			if ($("#modelNextstqdKy2").text() == "") {
				$("#modelNextstqdKy2").text("0");
				modelNextstqdKy2 = "0";
			}
			if ($("#modelNextstqdKy3").text() == "") {
				$("#modelNextstqdKy3").text("0");
				modelNextstqdKy3 = "0";
			}
			if ($("#modelNextstqdKy4").text() == "") {
				$("#modelNextstqdKy4").text("0");
				modelNextstqdKy4 = "0";
			}
			if ($("#modelNextstqdKy5").text() == "") {
				$("#modelNextstqdKy5").text("0");
				modelNextstqdKy5 = "0";
			}
			if ($("#modelNextstqdKy6").text() == "") {
				$("#modelNextstqdKy6").text("0");
				modelNextstqdKy6 = "0";
			}
			var stqdKySum = parseFloat(modelNextstqdKy1) + parseFloat(modelNextstqdKy2) + parseFloat(
					modelNextstqdKy3) + parseFloat(modelNextstqdKy4) + parseFloat(modelNextstqdKy5) +
				parseFloat(modelNextstqdKy6);
			if (stqdKySum == 0) {
				$("#modelNextstqdKy").text('0');
			} else {
				$("#modelNextstqdKy").text(quality_dj.service.subNumber(stqdKySum / 6));
			}

			//28天抗折强度平均值
			var modelNexttqdKz1 = $("#modelNexttqdKz1").text();
			var modelNexttqdKz2 = $("#modelNexttqdKz2").text();
			var modelNexttqdKz3 = $("#modelNexttqdKz3").text();
			if ($("#modelNexttqdKz1").text() == "") {
				$("#modelNexttqdKz1").text("0");
				modelNexttqdKz1 = "0";
			}
			if ($("#modelNexttqdKz2").text() == "") {
				$("#modelNexttqdKz2").text("0");
				modelNexttqdKz2 = "0";
			}
			if ($("#modelNexttqdKz3").text() == "") {
				$("#modelNexttqdKz3").text("0");
				modelNexttqdKz3 = "0";
			}
			var tqdKzSum = parseFloat(modelNexttqdKz1) + parseFloat(modelNexttqdKz2) + parseFloat(
				modelNexttqdKz3);
			
			if (tqdKzSum == 0) {
				$("#modelNexttqdKz").text('0');
			} else {
				$("#modelNexttqdKz").text(quality_dj.service.subNumber(tqdKzSum / 3));
			}

			//28天抗压强度平均值
			var modelNexttqdKy1 = $("#modelNexttqdKy1").text();
			var modelNexttqdKy2 = $("#modelNexttqdKy2").text();
			var modelNexttqdKy3 = $("#modelNexttqdKy3").text();
			var modelNexttqdKy4 = $("#modelNexttqdKy4").text();
			var modelNexttqdKy5 = $("#modelNexttqdKy5").text();
			var modelNexttqdKy6 = $("#modelNexttqdKy6").text();
			if ($("#modelNexttqdKy1").text() == "") {
				$("#modelNexttqdKy1").text("0");
				modelNexttqdKy1 = "0";
			}
			if ($("#modelNexttqdKy2").text() == "") {
				$("#modelNexttqdKy2").text("0");
				modelNexttqdKy2 = "0";
			}
			if ($("#modelNexttqdKy3").text() == "") {
				$("#modelNexttqdKy3").text("0");
				modelNexttqdKy3 = "0";
			}
			if ($("#modelNexttqdKy4").text() == "") {
				$("#modelNexttqdKy4").text("0");
				modelNexttqdKy4 = "0";
			}
			if ($("#modelNexttqdKy5").text() == "") {
				$("#modelNexttqdKy5").text("0");
				modelNexttqdKy5 = "0";
			}
			if ($("#modelNexttqdKy6").text() == "") {
				$("#modelNexttqdKy6").text("0");
				modelNexttqdKy6 = "0";
			}
			var tqdKySum = parseFloat(modelNexttqdKy1) + parseFloat(modelNexttqdKy2) + parseFloat(
					modelNexttqdKy3) + parseFloat(modelNexttqdKy4) + parseFloat(modelNexttqdKy5) +
				parseFloat(modelNexttqdKy6);
			if (tqdKySum == 0) {
				$("#modelNexttqdKy").text('0');
			} else {
				$("#modelNexttqdKy").text(quality_dj.service.subNumber(tqdKySum / 6));
			}
			quality_dj.service.createSealEx();
		},
	},
	init: function() {
		quality_dj.event();
		var token = window.localStorage.getItem("token");
		var mobile = window.localStorage.getItem("loginNumber");

		mui.ajax(GLOBAL.SERVER_URL + "api/dataDictionary/query/queryprodPack", {
			type: "post",
			dataType: "json",
			headers: {
				"Content-Type": "application/json;charset=UTF-8",
				"__REQUEST_TYPE": "AJAX_REQUEST",
				"token": token,
				"mobile": mobile
			},
			data: JSON.stringify({
				propertyCode: "prodPack"
			}),
			timeout: GLOBAL.ONLINE_TIME,
			error: function(xhr, type, errorThrown) {
				GLOBAL.AJAX_ERROR_HANDLER(0);
				console.log(JSON.stringify(type))
			},
			success: function(data) {
				if (data.code == "03") {
					mui.toast("登录超时，请重新登录");
					var mobileList = window.localStorage.getItem("mobileList");
					window.localStorage.clear();
					window.localStorage.setItem("mobileList", mobileList);
					plus.runtime.restart();
				}

				quality_dj.data.prodPackList = data.bizList;

				mui.ajax(GLOBAL.SERVER_URL + "api/dataDictionary/query/queryprodPack", {
					type: "post",
					dataType: "json",
					headers: {
						"Content-Type": "application/json;charset=UTF-8",
						"__REQUEST_TYPE": "AJAX_REQUEST",
						"token": token,
						"mobile": mobile
					},
					data: JSON.stringify({
						propertyCode: "paramUnit"
					}),
					timeout: GLOBAL.ONLINE_TIME,
					error: function(xhr, type, errorThrown) {
						GLOBAL.AJAX_ERROR_HANDLER(0);
						console.log(JSON.stringify(type))
					},
					success: function(data) {
						if (data.code == "03") {
							mui.toast("登录超时，请重新登录");
							var mobileList = window.localStorage.getItem(
								"mobileList");
							window.localStorage.clear();
							window.localStorage.setItem("mobileList", mobileList);
							plus.runtime.restart();
						}
						quality_dj.data.paramUnitList = data.bizList;

						var reportType = plus.webview.currentWebview().reportType;

						if ('1' == reportType) {
							// 报告类型名称
							$("#reportTypeName").text('28');
							quality_dj.data.show_28 = true;
							console.log("reportType:" + "28天");
							$("#modelShowtqdKz").show();
							$("#modelShowtqdKz1").show();
							$("#modelShowtqdKy").show();
							$("#modelShowtqdKy1").show();
							$("#modelShowtqdKy2").show();
						}
						if ('2' == reportType) {
							// 报告类型名称
							$("#reportTypeName").text('3');
							console.log("reportType:" + "3天");
						}

						var param = {
							qcCode: plus.webview.currentWebview().qtyCode,
							printBatchNumber: plus.webview.currentWebview()
								.printBatchNumber,
							qcReportPrintId: plus.webview.currentWebview()
								.qualityId,
							reportType: reportType
						};


						mui.ajax(GLOBAL.SERVER_URL +
							"api/qa/detectiondata/queryDetectionReport", {
								type: "post",
								dataType: "json",
								headers: {
									"Content-Type": "application/json;charset=UTF-8",
									"__REQUEST_TYPE": "AJAX_REQUEST",
									"token": token,
									"mobile": mobile
								},
								data: JSON.stringify(param),
								timeout: GLOBAL.ONLINE_TIME,
								error: function(xhr, type, errorThrown) {
									GLOBAL.AJAX_ERROR_HANDLER(0);
									console.log(JSON.stringify(type))
								},
								success: function(data) {
									if (data.code == "03") {
										mui.toast("登录超时，请重新登录");
										var mobileList = window.localStorage
											.getItem("mobileList");
										window.localStorage.clear();
										window.localStorage.setItem(
											"mobileList", mobileList);
										plus.runtime.restart();
									}

									quality_dj.service.setModelValue(data.data);
								}
							})
					}
				})
			}
		})
	}
}
mui.plusReady(function() {
	quality_dj.init();
});
