sendNow = {
	data: {
		cmpList:"",
		invoiceCountStatisticsList:[],
		nameList:[],
		billStatus:"",
		billStatusItem:"",
		startTime:"",
		endTime:""
	},
	event: function() {
		$("#selectCmp").on("tap", function() {
			var userPicker = new mui.PopPicker();
			userPicker.setData(sendNow.data.cmpList);
			userPicker.show(function(items) {
				var innerText = JSON.stringify(items[0].text);
				innerText = innerText.substring(1, innerText.length - 1);
				var innerVal = JSON.stringify(items[0].value);
				innerVal = innerVal.substring(1, innerVal.length - 1);
				$("#cmpName").val(innerText);
				$("#cmpCode").val(innerVal);
				plus.nativeUI.showWaiting();
				sendNow.service.queryTransCountGroupByBillStatus();
			})
		})
	},
	service: {
		byId: function(id) {
			return document.getElementById(id);
		},
		getOption: function(chartType) {
			//利用三目判断根据图形的样式选取不同类型的数据，bar和line的数据格式相同，pie格式与前两者不同
			var chartOption = {
				//  title : {
				//      text: '某站点用户访问来源',
				//      subtext: '纯属虚构',
				//      x:'center'
				//  },
//				color:['#c23531','#2f4554', '#61a0a8', '#d48265', '#91c7ae','#749f83',  '#ca8622', '#bda29a','#6e7074', '#546570', '#c4ccd3'],
				calculable: false,
				tooltip: {
					trigger: 'item',
					formatter: "{a} <br/>{b} : {c} ({d}%)"
				},
//				legend: {
//					orient: 'vertical',
//					left: 'left',
//					data: sendNow.data.nameList
//				},
				series: [{
					name: '',
					type: 'pie',
					radius: '70%',
					center: ['50%', '50%'],
					data: sendNow.data.invoiceCountStatisticsList,
					itemStyle: {
						emphasis: {
							shadowBlur: 10,
							shadowOffsetX: 0,
							shadowColor: 'rgba(0, 0, 0, 0.5)'
						}
					}
				}]
			};
			return chartOption;
		},
		queryCmp: function() {
			var data = {
				custId: window.localStorage.getItem("custId"),
				loginNumber: window.localStorage.getItem("loginNumber")
			};
			plus.nativeUI.showWaiting();
			var token = window.localStorage.getItem("token");
			var mobile = window.localStorage.getItem("loginNumber");
			var headers = {
				"Content-Type": "application/json;charset=UTF-8",
				"__REQUEST_TYPE": "AJAX_REQUEST",
				"token": token,
				"mobile": mobile
			}
			var url = "api/customer/query/queryCmpInfoForCust";
			mui.ajax(GLOBAL.SERVER_URL + url, {
				type: "post",
				dataType: "json",
				headers: headers,
				data: JSON.stringify(data),
				timeout: GLOBAL.ONLINE_TIME,
				error: function(xhr, type, errorThrown) {
					GLOBAL.AJAX_ERROR_HANDLER(0);
				},
				success: function(data) {
					if(data.code == "03") {
						mui.toast("登录超时，请重新登录");
						var mobileList = window.localStorage.getItem("mobileList");
						window.localStorage.clear();
						window.localStorage.setItem("mobileList", mobileList);
						plus.runtime.restart();
					}
					if(data.code == "02") {
						mui.toast(data.message);
						plus.nativeUI.closeWaiting();
						return;
					}
					var cmpList = data.bizList;
					var list = [];
					for(var i = 0; i < cmpList.length; i++) {
						$("#cmpName").val(cmpList[0].cmpName);
						$("#cmpCode").val(cmpList[0].cmpCode);
						var obj = {
							text: cmpList[i].cmpName,
							value: cmpList[i].cmpCode
						}
						list.push(obj);
					}
					sendNow.data.cmpList = list;
					sendNow.service.queryProdPack();
				}
			})
		},
		queryProdPack:function(){
			var token = window.localStorage.getItem("token");
			var mobile = window.localStorage.getItem("loginNumber");
			mui.ajax(GLOBAL.SERVER_URL+ "api/dataDictionary/query/queryprodPack",{
				type:"post",
				dataType:"json",
				headers:{
					"Content-Type":"application/json;charset=UTF-8",
					"__REQUEST_TYPE":"AJAX_REQUEST",
					"token":token,
					"mobile":mobile
				},
				data:JSON.stringify({propertyCode:"prodPack"}),
				timeout:GLOBAL.ONLINE_TIME,
				error:function(xhr,type,errorThrown){
					GLOBAL.AJAX_ERROR_HANDLER(0);
				},
				success:function(data){
					if(data.code == "03"){
						mui.toast("登录超时，请重新登录");
						var mobileList = window.localStorage.getItem("mobileList");
						window.localStorage.clear();
						window.localStorage.setItem("mobileList",mobileList);
						plus.runtime.restart();
					}
					if(data.code == "02"){
						mui.toast(data.message);
						plus.nativeUI.closeWaiting();
						return false;
					}
					var bizList = data.bizList;
					var prodPack = {};
					for(var i=0;i<bizList.length;i++){
						prodPack[bizList[i].dCode] = bizList[i].dName;
					}
					sendNow.data.prodPack = prodPack;
					sendNow.service.queryOutSettleStatus();
				}
			})
		},
		queryOutSettleStatus:function(){
			var token = window.localStorage.getItem("token");
			var mobile = window.localStorage.getItem("loginNumber");
			mui.ajax(GLOBAL.SERVER_URL+ "api/dataDictionary/query/queryprodPack",{
				type:"post",
				dataType:"json",
				headers:{
					"Content-Type":"application/json;charset=UTF-8",
					"__REQUEST_TYPE":"AJAX_REQUEST",
					"token":token,
					"mobile":mobile
				},
				data:JSON.stringify({propertyCode:"settleStatus"}),
				timeout:GLOBAL.ONLINE_TIME,
				error:function(xhr,type,errorThrown){
					GLOBAL.AJAX_ERROR_HANDLER(0);
				},
				success:function(data){
					if(data.code == "03"){
						mui.toast("登录超时，请重新登录");
						var mobileList = window.localStorage.getItem("mobileList");
						window.localStorage.clear();
						window.localStorage.setItem("mobileList",mobileList);
						plus.runtime.restart();
					}
					if(data.code == "02"){
						mui.toast(data.message);
						plus.nativeUI.closeWaiting();
						return false;
					}
					var bizList = data.bizList;
					var outSettleStatus = {};
					for(var i=0;i<bizList.length;i++){
						outSettleStatus[bizList[i].dCode] = bizList[i].dName;
					}
					sendNow.data.outSettleStatus = outSettleStatus;
					sendNow.service.queryBillStatus();
				}
			})
		},
		queryBillStatus:function(){
			var token = window.localStorage.getItem("token");
			var mobile = window.localStorage.getItem("loginNumber");
			mui.ajax(GLOBAL.SERVER_URL+ "api/dataDictionary/query/queryprodPack",{
				type:"post",
				dataType:"json",
				headers:{
					"Content-Type":"application/json;charset=UTF-8",
					"__REQUEST_TYPE":"AJAX_REQUEST",
					"token":token,
					"mobile":mobile
				},
				data:JSON.stringify({propertyCode:"billStatus"}),
				timeout:GLOBAL.ONLINE_TIME,
				error:function(xhr,type,errorThrown){
					GLOBAL.AJAX_ERROR_HANDLER(0);
				},
				success:function(data){
					if(data.code == "03"){
						mui.toast("登录超时，请重新登录");
						var mobileList = window.localStorage.getItem("mobileList");
						window.localStorage.clear();
						window.localStorage.setItem("mobileList",mobileList);
						plus.runtime.restart();
					}
					if(data.code == "02"){
						mui.toast(data.message);
						plus.nativeUI.closeWaiting();
						return false;
					}
					var bizList = data.bizList;
					var billStatus = {};
					for(var i=0;i<bizList.length;i++){
						billStatus[bizList[i].dCode] = bizList[i].dName;
					};
					sendNow.data.billStatus = billStatus;
					sendNow.service.queryTransCountGroupByBillStatus();
				}
			})
		},
		queryTransCountGroupByBillStatus:function(){
			var data = {
				custId: window.localStorage.getItem("custId"),
				loginNumber: window.localStorage.getItem("loginNumber"),
				supplierId:$("#cmpCode").val()
			};
			var token = window.localStorage.getItem("token");
			var mobile = window.localStorage.getItem("loginNumber");
			var headers = {
				"Content-Type": "application/json;charset=UTF-8",
				"__REQUEST_TYPE": "AJAX_REQUEST",
				"token": token,
				"mobile": mobile
			}
			var url = "api/sale/invoiceInfo/queryTransCountGroupByBillStatus";
			mui.ajax(GLOBAL.SERVER_URL + url, {
				type: "post",
				dataType: "json",
				headers: headers,
				data: JSON.stringify(data),
				timeout: GLOBAL.ONLINE_TIME,
				error: function(xhr, type, errorThrown) {
					GLOBAL.AJAX_ERROR_HANDLER(0);
				},
				success: function(data) {
					if(data.code == "03") {
						mui.toast("登录超时，请重新登录");
						var mobileList = window.localStorage.getItem("mobileList");
						window.localStorage.clear();
						window.localStorage.setItem("mobileList", mobileList);
						plus.runtime.restart();
					}
					plus.nativeUI.closeWaiting();
					if(data.code == "02") {
						mui.toast(data.message);
						return;
					}
					if(data.code == "01"){
						$("#sendNowList").html("");
						var list = data.bizObject.invoiceCountStatisticsList;
						sendNow.data.invoiceCountStatisticsList = [];
						sendNow.data.nameList = [];
						if(list == null){
							list = [];
						}
						for(var i=0;i<list.length;i++){
							var obj = {
								value:list[i].transModeCount,
								name:list[i].billStatusName
							};
							sendNow.data.nameList.push(list[i].billStatusName);
							sendNow.data.invoiceCountStatisticsList.push(obj);
							var html = '<li class="mui-table-view-cell" data-id="'+ list[i].billStatus +'" data-start-time="'+ list[i].startTime +'" data-end-time="'+ list[i].endTime +'">'+
								'<div class="mui-input-row">'+
									'<label>'+ list[i].billStatusName +'('+ list[i].transModeCount +'台车)</label>'+
									'<i class="mui-icon mui-icon-arrowup pull-right" style="margin-top: 13px;"></i>'+
								'</div>'+
								'<div class="col-xs-12 mui-collapse" style="padding:0px;display:none;">'+
									'</div>'+
							'</li>';
							$("#sendNowList").append(html);
						}
						var pieChart = echarts.init(sendNow.service.byId('pieChart'));
						pieChart.setOption(sendNow.service.getOption('pie'));
						$("#sendNowList .mui-table-view-cell").each(function(){
							$(this).on("tap",function(){
								var list = $(this).find(".mui-collapse");
								sendNow.data.billStatusItem = $(this).attr("data-id");
								sendNow.data.startTime = $(this).attr("data-start-time");
								sendNow.data.endTime = $(this).attr("data-end-time");
								if($(this).find("i").hasClass("mui-icon-arrowup")){
									list.html('');
									$(this).find("i").removeClass("mui-icon-arrowup");
									$(this).find("i").addClass("mui-icon-arrowdown");
									$(this).css("background","#f5f5f5");
									sendNow.service.doQuery(list);
								}else{
									$(this).find("i").removeClass("mui-icon-arrowdown");
									$(this).find("i").addClass("mui-icon-arrowup");
									$(this).css("background","#FFFFFF");
									list.fadeOut();
								}
							})
						})
					}
				}
			})
		},
		doQuery:function(list){
			var token = window.localStorage.getItem("token");
			var mobile = window.localStorage.getItem("loginNumber");
			plus.nativeUI.showWaiting();
			mui.ajax(GLOBAL.SERVER_URL+ "api/sale/invoiceInfo/queryInvoce/normalApp",{
				type:"post",
				dataType:"json",
				headers:{
					"Content-Type":"application/json;charset=UTF-8",
					"__REQUEST_TYPE":"AJAX_REQUEST",
					"token":token,
					"mobile":mobile
				},
				data:sendNow.service.getQueryData(),
				timeout:GLOBAL.ONLINE_TIME,
				error:function(xhr,type,errorThrown){
					GLOBAL.AJAX_ERROR_HANDLER(0);
				},
				success:function(data){
					if(data.code == "03"){
						mui.toast("登录超时，请重新登录");
						var mobileList = window.localStorage.getItem("mobileList");
						window.localStorage.clear();
						window.localStorage.setItem("mobileList",mobileList);
						plus.runtime.restart();
					}
					if(data.code == "02"){
						mui.toast(data.message);
						plus.nativeUI.closeWaiting();
						return false;
					}
					if(data.rows == null){
						data.rows = [];
					}
					if(data.rows !== null){
						sendNow.service.doDraw(list,data.rows);
					}
				}
			})
		},
		//生成列表
		doDraw:function(list,rows){
			if(rows.length > 0){
				//加载模版
				var data=["<div class=\"portlet light bg-white\" style=\"margin: 0px!important;padding: 0px!important;margin-bottom: 10px!important;\">",
				"	<div class=\"portlet-body\" style=\"margin: 0px!important;padding: 0px!important;\">",
				"		<div class=\"temp-up hidden\">",
				"			<div class=\"col-xs-12\" style=\"padding: 0px;\">",
				"				<div class=\"col-xs-12\" style=\"padding: 0px;color: #999999 !important;height: 40px;\">",
				"					<span class=\"mui-pull-left\">客户：</span>",
				"					<span data-id=\"customerName\"></span>",
				"					<p>(<span data-id=\"customerMobile\"></span>)</p>",
				"				</div>",
				"			</div>",
				"		</div>",
				"		<div class=\"temp-body\" style=\"height:180px;border-bottom: 1px solid #eef1f5;\">",
				"			<div class=\"col-xs-12\" style=\"padding: 0px;\">",
				"				<div class=\"col-xs-12\" style=\"padding: 0px;\">",
				"					<span class=\"mui-pull-left\">提货码：</span>",
				"					<span data-id=\"qrCode\" style=\"-webkit-user-select: all\"></span>",
				"				</div>",
				"			</div>",
				"			<div class=\"col-xs-12\" style=\"padding: 0px;\">",
				"				<div class=\"col-xs-12\" style=\"padding: 0px;\">",
				"					<span class=\"mui-pull-left\">公司：</span>",
				"					<span data-id=\"companyName\"></span>",
				"				</div>",
				"				<!--<div class=\"col-xs-5\" style=\"padding: 0px;padding-left: 10px;\">",
				"					<span class=\"mui-pull-left\">子客户：</span>",
				"				   <span data-id=\"subCustomer\"></span>",
				"			   </div>-->",
				"			</div>",
				"		",
				"			<div class=\"col-xs-12\" style=\"padding: 0px;\">",
				"				<div class=\"col-xs-7\" style=\"padding: 0px;\">",
				"					<span class=\"mui-pull-left\">品种：</span>",
				"					<span data-id=\"goodsName\"></span>",
				"				</div>",
				"				<div class=\"col-xs-5\" style=\"padding: 0px;padding-left: 10px;\">",
				"					 <span class=\"mui-pull-left\">包装：</span>",
				"					<span data-id=\"packType\"></span>",
				"				</div>",
				"			</div>",
				"			",
				"			<div class=\"col-xs-12\" style=\"padding: 0px;\">",
				"				<div class=\"col-xs-12\" style=\"padding: 0px;\">",
				"					<span class=\"mui-pull-left\">进厂：</span>",
				"					<span data-id=\"factoryEnterAt\"></span>",
				"				</div>",
				"			</div>",
				"			",
				"			<div class=\"col-xs-12\" style=\"padding: 0px;\">",
				"				<div class=\"col-xs-12\" style=\"padding: 0px;\">",
				"					<span class=\"mui-pull-left\">出厂：</span>",
				"					<span data-id=\"factoryLeaveAt\"></span>",
				"					<!--<span data-id=\"factoryStatus\" style=\"background: #ec584e;color: white;padding:3px 5px;border-radius: 2px !important;\"></span>-->",
				"				</div>",
				"			</div>",
				"			",
				"			<div class=\"col-xs-12\" style=\"padding: 0px;\">",
				"				<div class=\"col-xs-7\" style=\"padding: 0px;\">",
				"					<span class=\"mui-pull-left\">车船号：</span>",
				"					<span data-id=\"transportMemo\"></span>",
				"				</div>",
				"				<div class=\"col-xs-5\" style=\"padding: 0px;padding-left: 10px;\">",
				"					<span class=\"mui-pull-left\">数量：</span>",
				"					<span class=\" font-temp-warning\" data-id=\"sendWeight\"></span>吨",
				"				</div>",
				"			</div>",
				"			",
				"			<div class=\"col-xs-12\" style=\"padding: 0px;\">",
				"				<div class=\"col-xs-7\" style=\"padding: 0px;\">",
				"					<span class=\"mui-pull-left\">挂牌价：</span>",
				"					<span class=\" font-temp-warning\" data-id=\"listPrice\"></span>元",
				"				</div>",
				"				<div class=\"col-xs-5\" style=\"padding: 0px;padding-left: 10px;\">",
				"					<span class=\"mui-pull-left\">结算价：</span>",
				"					<span class=\" font-temp-warning\" data-id=\"settlePrice\"></span>",
				"				</div>",
				"			</div>",
				"			",
				"			<div class=\"col-xs-12\" style=\"padding: 0px;\">",
				"				<div class=\"col-xs-7\" style=\"padding: 0px;\">",
				"					<span class=\"mui-pull-left\">发货状态：</span>",
				"					<span data-id=\"billStatus\"></span>",
				"				</div>",
				"				<div class=\"col-xs-5\" style=\"padding: 0px;padding-left: 10px;\">",
				"					<span class=\"mui-pull-left\">结算状态：</span>",
				"					<span data-id=\"status\"></span>",
				"					<!--<span data-id=\"orderStatus\" style=\"background: #ec584e;color: white;padding:3px 5px;border-radius: 2px !important;\"></span>-->",
				"				</div>",
				"			</div>",
				"			",
				"			<!--<div class=\"col-xs-12\" style=\"padding: 0px;\">",
				"				<div class=\"col-xs-7\" style=\"padding: 0px;\">",
				"					<span class=\"mui-pull-left\">价格：</span>",
				"					<span class=\" font-temp-warning\" data-id=\"listPrice\"></span>元",
				"				</div>",
				"				<div class=\"col-xs-5\" style=\"padding: 0px;padding-left: 10px;\">",
				"					 <span class=\"mui-pull-left\">状态：</span>",
				"					<span data-id=\"billStatus\"></span>",
				"				</div>",
				"			</div>-->",
				"			",
				"			<!--<div class=\"col-xs-12\" style=\"padding: 0px;\">",
				"				<div class=\"col-xs-12\" style=\"padding: 0px;\">",
				"					<span class=\"mui-pull-left\">提货码：</span>",
				"					<span data-id=\"qrCode\" style=\"-webkit-user-select: all\"></span>",
				"				</div>",
				"			</div>-->",
				"		</div>",
				"		",
				"	</div>",
				"</div>"].join("");
				//mui.get("../../html/mySend/my-send-list-tmpl.html",function(data){
					var container = $("<div></div>");
					container.html(data);
					$.each(rows, function(index,result) {
						var li = $("<div class='temp'></div>");
						var li = $("<div></div>");
		                	li.addClass('data-item');
		                	container.find(".temp-body").css("padding","0px");
		                	
	                		container.find("span[data-id=customerName]").text(window.localStorage.getItem("custName"));
	                		container.find("span[data-id=customerMobile]").text(window.localStorage.getItem("loginNumber"));
//							container.find("span[data-id=subCustomer]").text(result.supplierName);
							container.find("span[data-id=orderStatus]").text(result.status);
	                		container.find("span[data-id=companyName]").text(result.supplierName);
	                		container.find("span[data-id=goodsName]").text(result.prodName);
	                		container.find("span[data-id=packType]").text(sendNow.data.prodPack[result.prodPack]);
	                		if(result.emptyPonderationTime == null || result.emptyPonderationTime == ""){
	                			container.find("span[data-id=factoryEnterAt]").text("--");
	                		}else{
	                			container.find("span[data-id=factoryEnterAt]").text(GLOBAL.formatTime(new Date(result.emptyPonderationTime)));
	                		}
	                		if(result.factoryTime == null || result.factoryTime == ""){
	                			container.find("span[data-id=factoryLeaveAt]").text("--");
	                		}else{
	                			container.find("span[data-id=factoryLeaveAt]").text(GLOBAL.formatTime(new Date(result.factoryTime)));
	                		}
	                		container.find("span[data-id=transportMemo]").text(result.transportMemo);
							container.find("span[data-id=sendWeight]").text(result.sendWeight);
	                		container.find("span[data-id=status]").text(sendNow.data.outSettleStatus[result.outSettleStatus]);
	                		container.find("span[data-id=listPrice]").text(result.listPrice);
	                		container.find("span[data-id=settlePrice]").text(result.settlePrice);
	                		container.find("span[data-id=reserveFee]").text(result.reserveFee);
	                		container.find("span[data-id=billStatus]").text(sendNow.data.billStatus[result.billStatus]);
	                		if(result.qrCode == null || result.qrCode == ""){
	                			result.qrCode = "--";
	                		}
	                		container.find("span[data-id=qrCode]").text(result.qrCode);
						//模版渲染
						li.html(container.html());
						
						list.append(li);
					});
					list.fadeIn();
				//},"html");
			}else{
				mui.toast("暂无发货数据");
			}
			plus.nativeUI.closeWaiting();
		},
		getQueryData:function(){
			var data = {
				custId:window.localStorage.getItem("custId"),
				supplierId:$("#cmpCode").val(),
//				contType:"1",
				billStatus:sendNow.data.billStatusItem,
				factoryTimeStartM:sendNow.data.startTime.substring(0,19),
				factoryTimeEndM:sendNow.data.endTime.substring(0,19),
				page:GLOBAL.PAGE_INDEX,
				rows:GLOBAL.ROWS
			}
			return JSON.stringify(data);
		}
	},
	init: function() {
		sendNow.event();
		sendNow.service.queryCmp();
	}
}
mui.plusReady(function() {
	document.addEventListener("resume",function(){
		sendNow.service.queryCmp();
	})
	sendNow.init();
});