sendStatistic = {
	data: {
		sendMonth: "",
		supplierProdName:[],
		supplierProdNameList:[]
	},
	event: function() {
		$("#selectCmp").on("tap", function() {
			var userPicker = new mui.PopPicker();
			userPicker.setData(sendStatistic.data.cmpList);
			userPicker.show(function(items) {
				var innerText = JSON.stringify(items[0].text);
				innerText = innerText.substring(1, innerText.length - 1);
				var innerVal = JSON.stringify(items[0].value);
				innerVal = innerVal.substring(1, innerVal.length - 1);
				$("#cmpName").val(innerText);
				$("#cmpCode").val(innerVal);
				plus.nativeUI.showWaiting();
				sendStatistic.service.invoiceCountStatistics();
			})
		})
	},
	service: {
		byId: function(id) {
			return document.getElementById(id);
		},
		getOption: function(chartType) {
			if(sendStatistic.data.supplierProdNameList.length == 0){
				sendStatistic.data.supplierProdNameList = [{
					value:0,name:"暂无发货数据"
				}]
			}
			//利用三目判断根据图形的样式选取不同类型的数据，bar和line的数据格式相同，pie格式与前两者不同
			var chartOption = {
				//  title : {
				//      text: '某站点用户访问来源',
				//      subtext: '纯属虚构',
				//      x:'center'
				//  },
//				color:['#c23531','#2f4554', '#61a0a8', '#d48265', '#91c7ae','#749f83',  '#ca8622', '#bda29a','#6e7074', '#546570', '#c4ccd3'],
				calculable: false,
				tooltip: {
					trigger: 'item',
					formatter: "{a} <br/>{b} : {c} ({d}%)"
				},
//				legend: {
//					orient: 'vertical',
//					left: 'left',
//					data: sendStatistic.data.supplierProdName
//				},
				series: [{
					name: '',
					type: 'pie',
					radius: '70%',
					center: ['50%', '50%'],
					data: sendStatistic.data.supplierProdNameList,
					itemStyle: {
						emphasis: {
							shadowBlur: 10,
							shadowOffsetX: 0,
							shadowColor: 'rgba(0, 0, 0, 0.5)'
						}
					}
				}]
			};
			return chartOption;
		},
		queryCmp: function() {
			var data = {
				custId: window.localStorage.getItem("custId"),
				loginNumber: window.localStorage.getItem("loginNumber")
			};
			plus.nativeUI.showWaiting();
			var token = window.localStorage.getItem("token");
			var mobile = window.localStorage.getItem("loginNumber");
			var headers = {
				"Content-Type": "application/json;charset=UTF-8",
				"__REQUEST_TYPE": "AJAX_REQUEST",
				"token": token,
				"mobile": mobile
			}
			var url = "api/customer/query/queryCmpInfoForCust";
			mui.ajax(GLOBAL.SERVER_URL + url, {
				type: "post",
				dataType: "json",
				headers: headers,
				data: JSON.stringify(data),
				timeout: GLOBAL.ONLINE_TIME,
				error: function(xhr, type, errorThrown) {
					GLOBAL.AJAX_ERROR_HANDLER(0);
					console.log(JSON.stringify(type))
				},
				success: function(data) {
					if(data.code == "03") {
						mui.toast("登录超时，请重新登录");
						var mobileList = window.localStorage.getItem("mobileList");
						window.localStorage.clear();
						window.localStorage.setItem("mobileList", mobileList);
						plus.runtime.restart();
					}
					if(data.code == "02") {
						mui.toast(data.message);
						plus.nativeUI.closeWaiting();
						return;
					}
					var cmpList = data.bizList;
					var list = [];
					for(var i = 0; i < cmpList.length; i++) {
						$("#cmpName").val(cmpList[0].cmpName);
						$("#cmpCode").val(cmpList[0].cmpCode);
						var obj = {
							text: cmpList[i].cmpName,
							value: cmpList[i].cmpCode
						}
						list.push(obj);
					}
					sendStatistic.data.cmpList = list;
					sendStatistic.service.queryProdPack();
				}
			})
		},
		queryProdPack: function() {
			var token = window.localStorage.getItem("token");
			var mobile = window.localStorage.getItem("loginNumber");
			mui.ajax(GLOBAL.SERVER_URL + "api/dataDictionary/query/queryprodPack", {
				type: "post",
				dataType: "json",
				headers: {
					"Content-Type": "application/json;charset=UTF-8",
					"__REQUEST_TYPE": "AJAX_REQUEST",
					"token": token,
					"mobile": mobile
				},
				data: JSON.stringify({
					propertyCode: "prodPack"
				}),
				timeout: GLOBAL.ONLINE_TIME,
				error: function(xhr, type, errorThrown) {
					GLOBAL.AJAX_ERROR_HANDLER(0);
					console.log(JSON.stringify(type))
				},
				success: function(data) {
					if(data.code == "03") {
						mui.toast("登录超时，请重新登录");
						var mobileList = window.localStorage.getItem("mobileList");
						window.localStorage.clear();
						window.localStorage.setItem("mobileList", mobileList);
						plus.runtime.restart();
					}
					if(data.code == "02") {
						mui.toast(data.message);
						plus.nativeUI.closeWaiting();
						return false;
					}
					var bizList = data.bizList;
					var prodPack = {};
					for(var i = 0; i < bizList.length; i++) {
						prodPack[bizList[i].dCode] = bizList[i].dName;
					}
					sendStatistic.data.prodPack = prodPack;
					sendStatistic.service.queryTransfType();
				}
			})
		},
		queryTransfType: function() {
			var token = window.localStorage.getItem("token");
			var mobile = window.localStorage.getItem("loginNumber");
			mui.ajax(GLOBAL.SERVER_URL + "api/dataDictionary/query/queryprodPack", {
				type: "post",
				dataType: "json",
				headers: {
					"Content-Type": "application/json;charset=UTF-8",
					"__REQUEST_TYPE": "AJAX_REQUEST",
					"token": token,
					"mobile": mobile
				},
				data: JSON.stringify({
					propertyCode: "transfType"
				}),
				timeout: GLOBAL.ONLINE_TIME,
				error: function(xhr, type, errorThrown) {
					GLOBAL.AJAX_ERROR_HANDLER(0);
					console.log(JSON.stringify(type))
				},
				success: function(data) {
					if(data.code == "03") {
						mui.toast("登录超时，请重新登录");
						var mobileList = window.localStorage.getItem("mobileList");
						window.localStorage.clear();
						window.localStorage.setItem("mobileList", mobileList);
						plus.runtime.restart();
					}
					if(data.code == "02") {
						mui.toast(data.message);
						plus.nativeUI.closeWaiting();
						return false;
					}
					var bizList = data.bizList;
					console.log(JSON.stringify(bizList))
					var transfType = {};
					for(var i = 0; i < bizList.length; i++) {
						transfType[bizList[i].dCode] = bizList[i].dName;
					}
					sendStatistic.data.transMode = transfType;
					sendStatistic.service.invoiceCountStatistics();
				}
			})
		},
		invoiceCountStatistics: function() {
			var data = {
				custId: window.localStorage.getItem("custId"),
				supplierId: $("#cmpCode").val(),
				factoryTime: new Date(sendStatistic.data.sendMonth)
			};
			var token = window.localStorage.getItem("token");
			var mobile = window.localStorage.getItem("loginNumber");
			mui.ajax(GLOBAL.SERVER_URL + "api/sale/invoiceInfo/invoiceCountStatistics", {
				type: "post",
				dataType: "json",
				headers: {
					"Content-Type": "application/json;charset=UTF-8",
					"__REQUEST_TYPE": "AJAX_REQUEST",
					"token": token,
					"mobile": mobile
				},
				data: JSON.stringify(data),
				timeout: GLOBAL.ONLINE_TIME,
				error: function(xhr, type, errorThrown) {
					GLOBAL.AJAX_ERROR_HANDLER(0);
					console.log(JSON.stringify(type))
				},
				success: function(data) {
					if(data.code == "03") {
						mui.toast("登录超时，请重新登录");
						var mobileList = window.localStorage.getItem("mobileList");
						window.localStorage.clear();
						window.localStorage.setItem("mobileList", mobileList);
						plus.runtime.restart();
					}
					plus.nativeUI.closeWaiting();
					if(data.code == "02") {
						mui.toast(data.message);
						return false;
					}
					if(data.code == "01") {
						$("#transModeCount").text(parseInt(data.bizObject.transModeCount));
						$("#totalSendWeight").text(GLOBAL.number_format(data.bizObject.totalSendWeight));
						var list = data.bizObject.invoiceCountStatisticsList;
						$("#invoiceList").html('');
						sendStatistic.data.supplierProdNameList = [];
						if(list == null) {
							list = [];
						}
						for(var i = 0; i < list.length; i++) {
							sendStatistic.data.supplierProdName.push(list[i].supplierProdName);
							var obj = {
								value:parseFloat(list[i].totalSendWeight),
								name:list[i].supplierProdName
							}
							sendStatistic.data.supplierProdNameList.push(obj);
							var html = '<li class="mui-table-view-cell" data-id="'+ list[i].supplierProdId +'" data-name = "'+ list[i].supplierProdName +'">' +
								'<div class="mui-input-row">' +
								'<label class="mui-navigate-right" style="width:75%;">' + (i + 1) + ' <span style="margin-left:10px">' + list[i].supplierProdName + '(' + sendStatistic.data.prodPack[list[i].prodPack] + '、' + sendStatistic.data.transMode[list[i].transMode] + ')</span><span style="float:right">'+ list[i].transModeCount +' 车</span></label>' +
								'<input type="text" id="cmpName" style="width:25%" value="'+ parseFloat(list[i].totalSendWeight) +'" name="cmpName" readonly="readonly" />' +
								'</div>' +
								'</li>';
							$("#invoiceList").append(html);
						}
						var pieChart = echarts.init(sendStatistic.service.byId('pieChart'));
						pieChart.setOption(sendStatistic.service.getOption('pie'));
						$("#invoiceList .mui-table-view-cell").each(function() {
							var supplierProdId = $(this).attr("data-id");
							var supplierProdName = $(this).attr("data-name");
							$(this).on("tap", function() {
								mui.openWindow({
									url: "../../html/sendStatistic/mySend.html",
									id: "mySend.html",
									extras: {
										supplierId:$("#cmpCode").val(),
										supplierProdId:supplierProdId,
										supplierProdName:supplierProdName,
										factoryTime:sendStatistic.data.sendMonth
									},
									styles: {
										statusbar: {
											background: '#E74333'
										}
									}
								})
							})
						})
					}
				}
			})
		}
	},
	init: function() {
		sendStatistic.event();
		sendStatistic.service.queryCmp();
	}
}
mui.plusReady(function() {
	var year = new Date().getFullYear();
	var month = new Date().getMonth() + 1;
	if(month < 10) {
		month = "0" + month;
	}
	sendStatistic.data.sendMonth = year + "-" + month;
	$("#sendMonth").val(year + "年" + parseInt(month) + "月");
	document.addEventListener("resume",function(){
		sendStatistic.service.queryCmp();
	})
	sendStatistic.init();
	// 时间控件
	(function($) {
		var result;
		$.init();
		var btns = $('.time');
		btns.each(function(i, btn) {
			btn.addEventListener('tap', function() {
				var year = new Date().getFullYear();
				var month = new Date().getMonth() + 1;
				var beginYear = year - 1;
				var beginMonth = month + 1;
				if(beginMonth > 12) {
					beginMonth = 1;
					beginYear = year;
				}
				var options = {
					type: "month",
					beginYear: beginYear,
					endYear: year,
					beginMonth: beginMonth,
					endMonth: month
				};
				var picker = new $.DtPicker(options);
				var id = this.getAttribute("data-id");
				picker.show(function(rs) {
					/*
					 * rs.value 拼合后的 value
					 * rs.text 拼合后的 text
					 * rs.y 年，可以通过 rs.y.vaue 和 rs.y.text 获取值和文本
					 * rs.m 月，用法同年
					 * rs.d 日，用法同年
					 * rs.h 时，用法同年
					 * rs.i 分（minutes 的第二个字母），用法同年
					 */
					result = rs.y.text + "-" + rs.m.text;
					var zhResult = rs.y.text + "年" + parseInt(rs.m.text) + "月";
					sendStatistic.data.sendMonth = result;
					document.getElementById(id).value = zhResult;
					plus.nativeUI.showWaiting();
					sendStatistic.service.invoiceCountStatistics();
					/*
					 * 返回 false 可以阻止选择框的关闭
					 * return false;
					 */
					/*
					 * 释放组件资源，释放后将将不能再操作组件
					 * 通常情况下，不需要示放组件，new DtPicker(options) 后，可以一直使用。
					 * 当前示例，因为内容较多，如不进行资原释放，在某些设备上会较慢。
					 * 所以每次用完便立即调用 dispose 进行释放，下次用时再创建新实例。
					 */
					picker.dispose();
				});
			}, false);
		});
	})(mui);
});